"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _BusinessHoursOverrideBase = _interopRequireDefault(require("../model/BusinessHoursOverrideBase"));
var _BusinessHoursPeriodBase = _interopRequireDefault(require("../model/BusinessHoursPeriodBase"));
var _Coordinates = _interopRequireDefault(require("../model/Coordinates"));
var _LeadTime = _interopRequireDefault(require("../model/LeadTime"));
var _PreOrderConfig = _interopRequireDefault(require("../model/PreOrderConfig"));
var _RestApiArrayResultBusinessHoursPeriod = _interopRequireDefault(require("../model/RestApiArrayResultBusinessHoursPeriod"));
var _RestApiArrayResultPreOrderTime = _interopRequireDefault(require("../model/RestApiArrayResultPreOrderTime"));
var _RestApiArrayResultProcessingFeeConfig = _interopRequireDefault(require("../model/RestApiArrayResultProcessingFeeConfig"));
var _RestApiArrayResultRestApiDefaultResponse = _interopRequireDefault(require("../model/RestApiArrayResultRestApiDefaultResponse"));
var _RestApiArrayResultStoreDeliveryZoneFeeConfig = _interopRequireDefault(require("../model/RestApiArrayResultStoreDeliveryZoneFeeConfig"));
var _RestApiArrayResultStoreStatistics = _interopRequireDefault(require("../model/RestApiArrayResultStoreStatistics"));
var _RestApiErrorResult = _interopRequireDefault(require("../model/RestApiErrorResult"));
var _RestApiForbiddenResult = _interopRequireDefault(require("../model/RestApiForbiddenResult"));
var _RestApiPaginationResultBusinessHoursOverride = _interopRequireDefault(require("../model/RestApiPaginationResultBusinessHoursOverride"));
var _RestApiPaginationResultStore = _interopRequireDefault(require("../model/RestApiPaginationResultStore"));
var _RestApiPaginationResultStoreHeader = _interopRequireDefault(require("../model/RestApiPaginationResultStoreHeader"));
var _RestApiPaginationResultStoreValidationConfig = _interopRequireDefault(require("../model/RestApiPaginationResultStoreValidationConfig"));
var _RestApiResultAssignedBankAccount = _interopRequireDefault(require("../model/RestApiResultAssignedBankAccount"));
var _RestApiResultBusinessHoursOverride = _interopRequireDefault(require("../model/RestApiResultBusinessHoursOverride"));
var _RestApiResultBusinessHoursPeriod = _interopRequireDefault(require("../model/RestApiResultBusinessHoursPeriod"));
var _RestApiResultCoordinates = _interopRequireDefault(require("../model/RestApiResultCoordinates"));
var _RestApiResultOrderLeadTimes = _interopRequireDefault(require("../model/RestApiResultOrderLeadTimes"));
var _RestApiResultPreOrderConfig = _interopRequireDefault(require("../model/RestApiResultPreOrderConfig"));
var _RestApiResultProcessingFeeConfig = _interopRequireDefault(require("../model/RestApiResultProcessingFeeConfig"));
var _RestApiResultServiceCharge = _interopRequireDefault(require("../model/RestApiResultServiceCharge"));
var _RestApiResultStore = _interopRequireDefault(require("../model/RestApiResultStore"));
var _RestApiResultStoreAddress = _interopRequireDefault(require("../model/RestApiResultStoreAddress"));
var _RestApiResultStoreEndOfDayReport = _interopRequireDefault(require("../model/RestApiResultStoreEndOfDayReport"));
var _RestApiUnauthorizedResult = _interopRequireDefault(require("../model/RestApiUnauthorizedResult"));
var _ServiceCharge = _interopRequireDefault(require("../model/ServiceCharge"));
var _StoreAddressBase = _interopRequireDefault(require("../model/StoreAddressBase"));
var _StoreAddressForm = _interopRequireDefault(require("../model/StoreAddressForm"));
var _StoreBase = _interopRequireDefault(require("../model/StoreBase"));
var _StoreCloneSettings = _interopRequireDefault(require("../model/StoreCloneSettings"));
var _StoreCreateBase = _interopRequireDefault(require("../model/StoreCreateBase"));
var _StoreDeliveryZoneFeeConfigUpdateRequest = _interopRequireDefault(require("../model/StoreDeliveryZoneFeeConfigUpdateRequest"));
var _StoreFeeConfig = _interopRequireDefault(require("../model/StoreFeeConfig"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
* Stores service.
* @module api/StoresApi
* @version 1.0.0
*/
var StoresApi = exports["default"] = /*#__PURE__*/function () {
  /**
  * Constructs a new StoresApi. 
  * @alias module:api/StoresApi
  * @class
  * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
  * default to {@link module:ApiClient#instance} if unspecified.
  */
  function StoresApi(apiClient) {
    _classCallCheck(this, StoresApi);
    this.apiClient = apiClient || _ApiClient["default"].instance;
  }

  /**
   * Callback function to receive the result of the archiveStore operation.
   * @callback module:api/StoresApi~archiveStoreCallback
   * @param {String} error Error message, if any.
   * @param data This operation does not return a value.
   * @param {String} response The complete HTTP response.
   */

  /**
   * @param {Number} storeId 
   * @param {module:api/StoresApi~archiveStoreCallback} callback The callback function, accepting three arguments: error, data, response
   */
  return _createClass(StoresApi, [{
    key: "archiveStore",
    value: function archiveStore(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling archiveStore");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/archive', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the assignMenu operation.
     * @callback module:api/StoresApi~assignMenuCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestApiDefaultResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Number} menuId 
     * @param {module:api/StoresApi~assignMenuCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestApiDefaultResponse}
     */
  }, {
    key: "assignMenu",
    value: function assignMenu(storeId, menuId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling assignMenu");
      }
      // verify the required parameter 'menuId' is set
      if (menuId === undefined || menuId === null) {
        throw new Error("Missing the required parameter 'menuId' when calling assignMenu");
      }
      var pathParams = {
        'storeId': storeId,
        'menuId': menuId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultRestApiDefaultResponse["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/menu/{menuId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the cloneStore operation.
     * @callback module:api/StoresApi~cloneStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/StoreCloneSettings} settings 
     * @param {module:api/StoresApi~cloneStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStore}
     */
  }, {
    key: "cloneStore",
    value: function cloneStore(storeId, settings, callback) {
      var postBody = settings;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling cloneStore");
      }
      // verify the required parameter 'settings' is set
      if (settings === undefined || settings === null) {
        throw new Error("Missing the required parameter 'settings' when calling cloneStore");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/clone', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the configureStoreServiceCharge operation.
     * @callback module:api/StoresApi~configureStoreServiceChargeCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultServiceCharge} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/ServiceCharge} serviceCharge 
     * @param {module:api/StoresApi~configureStoreServiceChargeCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultServiceCharge}
     */
  }, {
    key: "configureStoreServiceCharge",
    value: function configureStoreServiceCharge(storeId, serviceCharge, callback) {
      var postBody = serviceCharge;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling configureStoreServiceCharge");
      }
      // verify the required parameter 'serviceCharge' is set
      if (serviceCharge === undefined || serviceCharge === null) {
        throw new Error("Missing the required parameter 'serviceCharge' when calling configureStoreServiceCharge");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultServiceCharge["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/servicecharge', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createBusinessHoursOverrideByStoreId operation.
     * @callback module:api/StoresApi~createBusinessHoursOverrideByStoreIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultBusinessHoursOverride} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/BusinessHoursOverrideBase} businessHoursOverride 
     * @param {module:api/StoresApi~createBusinessHoursOverrideByStoreIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultBusinessHoursOverride}
     */
  }, {
    key: "createBusinessHoursOverrideByStoreId",
    value: function createBusinessHoursOverrideByStoreId(storeId, businessHoursOverride, callback) {
      var postBody = businessHoursOverride;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling createBusinessHoursOverrideByStoreId");
      }
      // verify the required parameter 'businessHoursOverride' is set
      if (businessHoursOverride === undefined || businessHoursOverride === null) {
        throw new Error("Missing the required parameter 'businessHoursOverride' when calling createBusinessHoursOverrideByStoreId");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultBusinessHoursOverride["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/businesshoursoverrides', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createStore operation.
     * @callback module:api/StoresApi~createStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeGroupId 
     * @param {module:model/StoreCreateBase} store 
     * @param {module:api/StoresApi~createStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStore}
     */
  }, {
    key: "createStore",
    value: function createStore(storeGroupId, store, callback) {
      var postBody = store;
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling createStore");
      }
      // verify the required parameter 'store' is set
      if (store === undefined || store === null) {
        throw new Error("Missing the required parameter 'store' when calling createStore");
      }
      var pathParams = {};
      var queryParams = {
        'storeGroupId': storeGroupId
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/stores', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the createStoreInProperty operation.
     * @callback module:api/StoresApi~createStoreInPropertyCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeGroupId 
     * @param {String} propertyId 
     * @param {module:model/StoreCreateBase} store 
     * @param {Object} opts Optional parameters
     * @param {Boolean} opts.autoAssignMenu 
     * @param {module:api/StoresApi~createStoreInPropertyCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStore}
     */
  }, {
    key: "createStoreInProperty",
    value: function createStoreInProperty(storeGroupId, propertyId, store, opts, callback) {
      opts = opts || {};
      var postBody = store;
      // verify the required parameter 'storeGroupId' is set
      if (storeGroupId === undefined || storeGroupId === null) {
        throw new Error("Missing the required parameter 'storeGroupId' when calling createStoreInProperty");
      }
      // verify the required parameter 'propertyId' is set
      if (propertyId === undefined || propertyId === null) {
        throw new Error("Missing the required parameter 'propertyId' when calling createStoreInProperty");
      }
      // verify the required parameter 'store' is set
      if (store === undefined || store === null) {
        throw new Error("Missing the required parameter 'store' when calling createStoreInProperty");
      }
      var pathParams = {
        'propertyId': propertyId
      };
      var queryParams = {
        'storeGroupId': storeGroupId,
        'autoAssignMenu': opts['autoAssignMenu']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/properties/{propertyId}/stores', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the deleteBusinessHoursOverride operation.
     * @callback module:api/StoresApi~deleteBusinessHoursOverrideCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestApiDefaultResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Number} businessHoursOverrideId 
     * @param {module:api/StoresApi~deleteBusinessHoursOverrideCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestApiDefaultResponse}
     */
  }, {
    key: "deleteBusinessHoursOverride",
    value: function deleteBusinessHoursOverride(storeId, businessHoursOverrideId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling deleteBusinessHoursOverride");
      }
      // verify the required parameter 'businessHoursOverrideId' is set
      if (businessHoursOverrideId === undefined || businessHoursOverrideId === null) {
        throw new Error("Missing the required parameter 'businessHoursOverrideId' when calling deleteBusinessHoursOverride");
      }
      var pathParams = {
        'storeId': storeId,
        'businessHoursOverrideId': businessHoursOverrideId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultRestApiDefaultResponse["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/businesshoursoverrides/{businessHoursOverrideId}', 'DELETE', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getBankAccountForStore operation.
     * @callback module:api/StoresApi~getBankAccountForStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultAssignedBankAccount} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~getBankAccountForStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultAssignedBankAccount}
     */
  }, {
    key: "getBankAccountForStore",
    value: function getBankAccountForStore(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getBankAccountForStore");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultAssignedBankAccount["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/bankaccount', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getBusinessHours operation.
     * @callback module:api/StoresApi~getBusinessHoursCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultBusinessHoursPeriod} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {module:api/StoresApi~getBusinessHoursCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultBusinessHoursPeriod}
     */
  }, {
    key: "getBusinessHours",
    value: function getBusinessHours(storeId, deliveryType, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getBusinessHours");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling getBusinessHours");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultBusinessHoursPeriod["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/availability/{deliveryType}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getBusinessHoursOverrideByStoreId operation.
     * @callback module:api/StoresApi~getBusinessHoursOverrideByStoreIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultBusinessHoursOverride} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Object} opts Optional parameters
     * @param {Date} opts.after 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/StoresApi~getBusinessHoursOverrideByStoreIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultBusinessHoursOverride}
     */
  }, {
    key: "getBusinessHoursOverrideByStoreId",
    value: function getBusinessHoursOverrideByStoreId(storeId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getBusinessHoursOverrideByStoreId");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {
        'after': opts['after'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultBusinessHoursOverride["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/businesshoursoverrides', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getEndOfDayReport operation.
     * @callback module:api/StoresApi~getEndOfDayReportCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStoreEndOfDayReport} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Object} opts Optional parameters
     * @param {Date} opts.date 
     * @param {module:api/StoresApi~getEndOfDayReportCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStoreEndOfDayReport}
     */
  }, {
    key: "getEndOfDayReport",
    value: function getEndOfDayReport(storeId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getEndOfDayReport");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {
        'date': opts['date']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStoreEndOfDayReport["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/endofdayreport', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPreOrderConfig operation.
     * @callback module:api/StoresApi~getPreOrderConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultPreOrderConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {module:api/StoresApi~getPreOrderConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultPreOrderConfig}
     */
  }, {
    key: "getPreOrderConfig",
    value: function getPreOrderConfig(storeId, deliveryType, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getPreOrderConfig");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling getPreOrderConfig");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultPreOrderConfig["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/preorderconfig/{deliveryType}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getPreOrderPreview operation.
     * @callback module:api/StoresApi~getPreOrderPreviewCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultPreOrderTime} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.preOrderConfig_leadTimeMinutes Lead Time in Minutes
     * @param {Number} opts.preOrderConfig_intervalMinutes Interval in minutes
     * @param {Number} opts.preOrderConfig_maxOrderAheadDays Max Days to order ahead
     * @param {Boolean} opts.preOrderConfig_includeAsap Show ASAP as option
     * @param {Boolean} opts.preOrderConfig_includeMoreGranularInitialTime Granual Init' Time
     * @param {String} opts.preOrderConfig_cutOffTimePreviousDayBasic Cut off time previous day
     * @param {String} opts.preOrderConfig_cutOffTimeCurrentDayBasic Cut off time current day
     * @param {module:model/String} opts.preOrderConfig_preOrderTimeDisplayType Type of time displayed.
     * @param {Boolean} opts.preOrderConfig_alwaysAppearOpen Specifies whether a customer can pre-order outside the store opening hours or not.
     * @param {Boolean} opts.preOrderConfig_requireExplicitSelectAlways Force customer to select collection time.
     * @param {module:api/StoresApi~getPreOrderPreviewCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultPreOrderTime}
     */
  }, {
    key: "getPreOrderPreview",
    value: function getPreOrderPreview(storeId, deliveryType, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getPreOrderPreview");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling getPreOrderPreview");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {
        'preOrderConfig.leadTimeMinutes': opts['preOrderConfig_leadTimeMinutes'],
        'preOrderConfig.intervalMinutes': opts['preOrderConfig_intervalMinutes'],
        'preOrderConfig.maxOrderAheadDays': opts['preOrderConfig_maxOrderAheadDays'],
        'preOrderConfig.includeAsap': opts['preOrderConfig_includeAsap'],
        'preOrderConfig.includeMoreGranularInitialTime': opts['preOrderConfig_includeMoreGranularInitialTime'],
        'preOrderConfig.cutOffTimePreviousDayBasic': opts['preOrderConfig_cutOffTimePreviousDayBasic'],
        'preOrderConfig.cutOffTimeCurrentDayBasic': opts['preOrderConfig_cutOffTimeCurrentDayBasic'],
        'preOrderConfig.preOrderTimeDisplayType': opts['preOrderConfig_preOrderTimeDisplayType'],
        'preOrderConfig.alwaysAppearOpen': opts['preOrderConfig_alwaysAppearOpen'],
        'preOrderConfig.requireExplicitSelectAlways': opts['preOrderConfig_requireExplicitSelectAlways']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultPreOrderTime["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/preorderconfig/{deliveryType}/preview', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getProcessingFeeConfigsByStoreId operation.
     * @callback module:api/StoresApi~getProcessingFeeConfigsByStoreIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultProcessingFeeConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.appNameId 
     * @param {module:api/StoresApi~getProcessingFeeConfigsByStoreIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultProcessingFeeConfig}
     */
  }, {
    key: "getProcessingFeeConfigsByStoreId",
    value: function getProcessingFeeConfigsByStoreId(storeId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getProcessingFeeConfigsByStoreId");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {
        'appNameId': opts['appNameId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiArrayResultProcessingFeeConfig["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/processingfeeconfigs', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getProcessingFeeConfigsByStoreIdAndPaymentAccountType operation.
     * @callback module:api/StoresApi~getProcessingFeeConfigsByStoreIdAndPaymentAccountTypeCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultProcessingFeeConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} paymentAccountType 
     * @param {Object} opts Optional parameters
     * @param {String} opts.appNameId 
     * @param {module:api/StoresApi~getProcessingFeeConfigsByStoreIdAndPaymentAccountTypeCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultProcessingFeeConfig}
     */
  }, {
    key: "getProcessingFeeConfigsByStoreIdAndPaymentAccountType",
    value: function getProcessingFeeConfigsByStoreIdAndPaymentAccountType(storeId, paymentAccountType, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getProcessingFeeConfigsByStoreIdAndPaymentAccountType");
      }
      // verify the required parameter 'paymentAccountType' is set
      if (paymentAccountType === undefined || paymentAccountType === null) {
        throw new Error("Missing the required parameter 'paymentAccountType' when calling getProcessingFeeConfigsByStoreIdAndPaymentAccountType");
      }
      var pathParams = {
        'storeId': storeId,
        'paymentAccountType': paymentAccountType
      };
      var queryParams = {
        'appNameId': opts['appNameId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data', 'Message', 'ErrorCode', 'StackTrace'];
      var returnType = _RestApiResultProcessingFeeConfig["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/processingfeeconfigs/{paymentAccountType}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreById operation.
     * @callback module:api/StoresApi~getStoreByIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~getStoreByIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStore}
     */
  }, {
    key: "getStoreById",
    value: function getStoreById(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreById");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreDeliveryFeeConfig operation.
     * @callback module:api/StoresApi~getStoreDeliveryFeeConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultStoreDeliveryZoneFeeConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~getStoreDeliveryFeeConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultStoreDeliveryZoneFeeConfig}
     */
  }, {
    key: "getStoreDeliveryFeeConfig",
    value: function getStoreDeliveryFeeConfig(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreDeliveryFeeConfig");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultStoreDeliveryZoneFeeConfig["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/feeConfig/deliveryZones', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreFeeConfig operation.
     * @callback module:api/StoresApi~getStoreFeeConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/StoreFeeConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~getStoreFeeConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/StoreFeeConfig}
     */
  }, {
    key: "getStoreFeeConfig",
    value: function getStoreFeeConfig(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreFeeConfig");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'FeeConfigId', 'StoreId', 'StartTime', 'PercentFeeCardOrders', 'PercentFeeCashOrders', 'PercentFeeCardOrdersWeb', 'PercentFeeCashOrdersWeb', 'PercentFeeCardOrdersKiosk', 'PercentFeeCashOrdersKiosk', 'FixedFeeCardOrdersKiosk', 'FixedFeeCashOrdersKiosk', 'PercentFeeCardOrdersKioskChargedToCustomerIncludingVat', 'FixedFeeCardOrdersKioskChargedToCustomerIncludingVat', 'PercentFeeCashOrdersKioskChargedToCustomerIncludingVat', 'FixedFeeCashOrdersKioskChargedToCustomerIncludingVat', 'FixedFeeCardOrders', 'FixedFeeCashOrders', 'PercentFeeCardOrdersChargedToCustomerIncludingVat', 'FixedFeeCardOrdersChargedToCustomerIncludingVat', 'PercentFeeCashOrdersChargedToCustomerIncludingVat', 'FixedFeeCashOrdersChargedToCustomerIncludingVat', 'PercentFeeTips', 'PercentFeeTipsCollection', 'PercentFeeTipsDelivery', 'TaxRatePercent', 'PercentFeeCardOrdersLocationService', 'PercentFeeCashOrdersLocationService', 'FixedFeeCardOrdersLocationService', 'FixedFeeCashOrdersLocationService', 'PercentFeeCardOrdersLocationServiceChargedToCustomerIncludingVat', 'PercentFeeCashOrdersLocationServiceChargedToCustomerIncludingVat', 'FixedFeeCardOrdersLocationServiceChargedToCustomerIncludingVat', 'FixedFeeCashOrdersLocationServiceChargedToCustomerIncludingVat', 'PercentFeeDelivery', 'FixedFeeDelivery', 'PercentFeeCardPosTransaction', 'FixedFeeCardPosTransaction', 'PercentFeeOrderWithGoogle', 'FixedFeeOrderWithGoogle'];
      var returnType = _StoreFeeConfig["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/feeConfig', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreHeadersByAppId operation.
     * @callback module:api/StoresApi~getStoreHeadersByAppIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultStoreHeader} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.storeNameQuery 
     * @param {module:model/String} opts.salesChannelType 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/StoresApi~getStoreHeadersByAppIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultStoreHeader}
     */
  }, {
    key: "getStoreHeadersByAppId",
    value: function getStoreHeadersByAppId(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoreHeadersByAppId");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeNameQuery': opts['storeNameQuery'],
        'salesChannelType': opts['salesChannelType'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultStoreHeader["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/header', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreLeadTimes operation.
     * @callback module:api/StoresApi~getStoreLeadTimesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOrderLeadTimes} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~getStoreLeadTimesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOrderLeadTimes}
     */
  }, {
    key: "getStoreLeadTimes",
    value: function getStoreLeadTimes(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreLeadTimes");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultOrderLeadTimes["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/leadTimes', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreNetSales operation.
     * @callback module:api/StoresApi~getStoreNetSalesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultStoreStatistics} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Array.<Number>} storeId 
     * @param {module:api/StoresApi~getStoreNetSalesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultStoreStatistics}
     */
  }, {
    key: "getStoreNetSales",
    value: function getStoreNetSales(appId, storeId, callback) {
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoreNetSales");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreNetSales");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': this.apiClient.buildCollectionParam(storeId, 'multi')
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiArrayResultStoreStatistics["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores/stats', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoreServiceCharge operation.
     * @callback module:api/StoresApi~getStoreServiceChargeCallback
     * @param {String} error Error message, if any.
     * @param {module:model/ServiceCharge} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~getStoreServiceChargeCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/ServiceCharge}
     */
  }, {
    key: "getStoreServiceCharge",
    value: function getStoreServiceCharge(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoreServiceCharge");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'StoreId', 'PercentageValue', 'Enabled', 'IsOptional', 'DisplayWithProcessingFee', 'IncludesVouchers'];
      var returnType = _ServiceCharge["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/servicecharge', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStores operation.
     * @callback module:api/StoresApi~getStoresCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchQuery 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {Number} opts.storeGroupId 
     * @param {module:api/StoresApi~getStoresCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultStore}
     */
  }, {
    key: "getStores",
    value: function getStores(opts, callback) {
      opts = opts || {};
      var postBody = null;
      var pathParams = {};
      var queryParams = {
        'searchQuery': opts['searchQuery'],
        'page': opts['page'],
        'limit': opts['limit'],
        'storeGroupId': opts['storeGroupId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/stores', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoresByAppId operation.
     * @callback module:api/StoresApi~getStoresByAppIdCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.searchQuery 
     * @param {module:model/String} opts.salesChannelType 
     * @param {Boolean} opts.excludeUnpublished 
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/StoresApi~getStoresByAppIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultStore}
     */
  }, {
    key: "getStoresByAppId",
    value: function getStoresByAppId(appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoresByAppId");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'searchQuery': opts['searchQuery'],
        'salesChannelType': opts['salesChannelType'],
        'excludeUnpublished': opts['excludeUnpublished'],
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/stores', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the getStoresByStoreIdWithValidations operation.
     * @callback module:api/StoresApi~getStoresByStoreIdWithValidationsCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiPaginationResultStoreValidationConfig} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Array.<Number>} storeId 
     * @param {String} appId 
     * @param {Object} opts Optional parameters
     * @param {Number} opts.page 
     * @param {Number} opts.limit 
     * @param {module:api/StoresApi~getStoresByStoreIdWithValidationsCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiPaginationResultStoreValidationConfig}
     */
  }, {
    key: "getStoresByStoreIdWithValidations",
    value: function getStoresByStoreIdWithValidations(storeId, appId, opts, callback) {
      opts = opts || {};
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling getStoresByStoreIdWithValidations");
      }
      // verify the required parameter 'appId' is set
      if (appId === undefined || appId === null) {
        throw new Error("Missing the required parameter 'appId' when calling getStoresByStoreIdWithValidations");
      }
      var pathParams = {
        'appId': appId
      };
      var queryParams = {
        'storeId': this.apiClient.buildCollectionParam(storeId, 'multi'),
        'page': opts['page'],
        'limit': opts['limit']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiPaginationResultStoreValidationConfig["default"];
      return this.apiClient.callApi('/api/v1.0/{appId}/storevalidation/kiosk', 'GET', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the publishStore operation.
     * @callback module:api/StoresApi~publishStoreCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~publishStoreCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "publishStore",
    value: function publishStore(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling publishStore");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/publish', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the putStoreDeliveryFeeConfig operation.
     * @callback module:api/StoresApi~putStoreDeliveryFeeConfigCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/StoreDeliveryZoneFeeConfigUpdateRequest} feeConfigUpdateRequest 
     * @param {module:api/StoresApi~putStoreDeliveryFeeConfigCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "putStoreDeliveryFeeConfig",
    value: function putStoreDeliveryFeeConfig(storeId, feeConfigUpdateRequest, callback) {
      var postBody = feeConfigUpdateRequest;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling putStoreDeliveryFeeConfig");
      }
      // verify the required parameter 'feeConfigUpdateRequest' is set
      if (feeConfigUpdateRequest === undefined || feeConfigUpdateRequest === null) {
        throw new Error("Missing the required parameter 'feeConfigUpdateRequest' when calling putStoreDeliveryFeeConfig");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['Message', 'ErrorCode', 'StackTrace', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/feeConfig/deliveryZones', 'PUT', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setBusinessHours operation.
     * @callback module:api/StoresApi~setBusinessHoursCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultBusinessHoursPeriod} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {module:model/BusinessHoursPeriodBase} businessHoursPeriod 
     * @param {module:api/StoresApi~setBusinessHoursCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultBusinessHoursPeriod}
     */
  }, {
    key: "setBusinessHours",
    value: function setBusinessHours(storeId, deliveryType, businessHoursPeriod, callback) {
      var postBody = businessHoursPeriod;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling setBusinessHours");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling setBusinessHours");
      }
      // verify the required parameter 'businessHoursPeriod' is set
      if (businessHoursPeriod === undefined || businessHoursPeriod === null) {
        throw new Error("Missing the required parameter 'businessHoursPeriod' when calling setBusinessHours");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultBusinessHoursPeriod["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/availability/{deliveryType}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setPreOrdeEnabled operation.
     * @callback module:api/StoresApi~setPreOrdeEnabledCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestApiDefaultResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {Boolean} enabled 
     * @param {module:api/StoresApi~setPreOrdeEnabledCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestApiDefaultResponse}
     */
  }, {
    key: "setPreOrdeEnabled",
    value: function setPreOrdeEnabled(storeId, deliveryType, enabled, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling setPreOrdeEnabled");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling setPreOrdeEnabled");
      }
      // verify the required parameter 'enabled' is set
      if (enabled === undefined || enabled === null) {
        throw new Error("Missing the required parameter 'enabled' when calling setPreOrdeEnabled");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {
        'enabled': enabled
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultRestApiDefaultResponse["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/preorderconfig/{deliveryType}/enabled', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the setStoreLeadTimes operation.
     * @callback module:api/StoresApi~setStoreLeadTimesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultOrderLeadTimes} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/LeadTime} leadTime 
     * @param {module:api/StoresApi~setStoreLeadTimesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultOrderLeadTimes}
     */
  }, {
    key: "setStoreLeadTimes",
    value: function setStoreLeadTimes(storeId, leadTime, callback) {
      var postBody = leadTime;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling setStoreLeadTimes");
      }
      // verify the required parameter 'leadTime' is set
      if (leadTime === undefined || leadTime === null) {
        throw new Error("Missing the required parameter 'leadTime' when calling setStoreLeadTimes");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultOrderLeadTimes["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/leadTimes', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the storesSetPropertyId operation.
     * @callback module:api/StoresApi~storesSetPropertyIdCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {String} propertyId 
     * @param {module:api/StoresApi~storesSetPropertyIdCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "storesSetPropertyId",
    value: function storesSetPropertyId(storeId, propertyId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling storesSetPropertyId");
      }
      // verify the required parameter 'propertyId' is set
      if (propertyId === undefined || propertyId === null) {
        throw new Error("Missing the required parameter 'propertyId' when calling storesSetPropertyId");
      }
      var pathParams = {
        'storeId': storeId,
        'propertyId': propertyId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/propertyId/{propertyId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the supportedSalesChannelsTypes operation.
     * @callback module:api/StoresApi~supportedSalesChannelsTypesCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {String} propertyId 
     * @param {Number} storeId 
     * @param {Array.<String>} salesChannelTypes 
     * @param {module:api/StoresApi~supportedSalesChannelsTypesCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "supportedSalesChannelsTypes",
    value: function supportedSalesChannelsTypes(propertyId, storeId, salesChannelTypes, callback) {
      var postBody = salesChannelTypes;
      // verify the required parameter 'propertyId' is set
      if (propertyId === undefined || propertyId === null) {
        throw new Error("Missing the required parameter 'propertyId' when calling supportedSalesChannelsTypes");
      }
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling supportedSalesChannelsTypes");
      }
      // verify the required parameter 'salesChannelTypes' is set
      if (salesChannelTypes === undefined || salesChannelTypes === null) {
        throw new Error("Missing the required parameter 'salesChannelTypes' when calling supportedSalesChannelsTypes");
      }
      var pathParams = {
        'propertyId': propertyId,
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/properties/{propertyId}/stores/{storeId}/supportedSalesChannels', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the unpublishStore operation.
     * @callback module:api/StoresApi~unpublishStoreCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:api/StoresApi~unpublishStoreCallback} callback The callback function, accepting three arguments: error, data, response
     */
  }, {
    key: "unpublishStore",
    value: function unpublishStore(storeId, callback) {
      var postBody = null;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling unpublishStore");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = [];
      var accepts = ['Data', 'application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = null;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/unpublish', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updatePreOrderConfig operation.
     * @callback module:api/StoresApi~updatePreOrderConfigCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiArrayResultRestApiDefaultResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/String} deliveryType 
     * @param {module:model/PreOrderConfig} preOrderConfig 
     * @param {module:api/StoresApi~updatePreOrderConfigCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiArrayResultRestApiDefaultResponse}
     */
  }, {
    key: "updatePreOrderConfig",
    value: function updatePreOrderConfig(storeId, deliveryType, preOrderConfig, callback) {
      var postBody = preOrderConfig;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updatePreOrderConfig");
      }
      // verify the required parameter 'deliveryType' is set
      if (deliveryType === undefined || deliveryType === null) {
        throw new Error("Missing the required parameter 'deliveryType' when calling updatePreOrderConfig");
      }
      // verify the required parameter 'preOrderConfig' is set
      if (preOrderConfig === undefined || preOrderConfig === null) {
        throw new Error("Missing the required parameter 'preOrderConfig' when calling updatePreOrderConfig");
      }
      var pathParams = {
        'storeId': storeId,
        'deliveryType': deliveryType
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = _RestApiArrayResultRestApiDefaultResponse["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/preorderconfig/{deliveryType}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStore operation.
     * @callback module:api/StoresApi~updateStoreCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStore} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/StoreBase} store 
     * @param {module:api/StoresApi~updateStoreCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStore}
     */
  }, {
    key: "updateStore",
    value: function updateStore(storeId, store, callback) {
      var postBody = store;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateStore");
      }
      // verify the required parameter 'store' is set
      if (store === undefined || store === null) {
        throw new Error("Missing the required parameter 'store' when calling updateStore");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStore["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStoreAddress operation.
     * @callback module:api/StoresApi~updateStoreAddressCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultStoreAddress} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/StoreAddressBase} storeAddress 
     * @param {module:api/StoresApi~updateStoreAddressCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultStoreAddress}
     */
  }, {
    key: "updateStoreAddress",
    value: function updateStoreAddress(storeId, storeAddress, callback) {
      var postBody = storeAddress;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateStoreAddress");
      }
      // verify the required parameter 'storeAddress' is set
      if (storeAddress === undefined || storeAddress === null) {
        throw new Error("Missing the required parameter 'storeAddress' when calling updateStoreAddress");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultStoreAddress["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/address', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStoreAddressCoordinates operation.
     * @callback module:api/StoresApi~updateStoreAddressCoordinatesCallback
     * @param {String} error Error message, if any.
     * @param {module:model/RestApiResultCoordinates} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/Coordinates} coordinates 
     * @param {Object} opts Optional parameters
     * @param {String} opts.appNameId 
     * @param {module:api/StoresApi~updateStoreAddressCoordinatesCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/RestApiResultCoordinates}
     */
  }, {
    key: "updateStoreAddressCoordinates",
    value: function updateStoreAddressCoordinates(storeId, coordinates, opts, callback) {
      opts = opts || {};
      var postBody = coordinates;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateStoreAddressCoordinates");
      }
      // verify the required parameter 'coordinates' is set
      if (coordinates === undefined || coordinates === null) {
        throw new Error("Missing the required parameter 'coordinates' when calling updateStoreAddressCoordinates");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {
        'appNameId': opts['appNameId']
      };
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml', 'Data'];
      var returnType = _RestApiResultCoordinates["default"];
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/address/coordinates', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }

    /**
     * Callback function to receive the result of the updateStoreAddressForm operation.
     * @callback module:api/StoresApi~updateStoreAddressFormCallback
     * @param {String} error Error message, if any.
     * @param {Object} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {Number} storeId 
     * @param {module:model/StoreAddressForm} address 
     * @param {module:api/StoresApi~updateStoreAddressFormCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link Object}
     */
  }, {
    key: "updateStoreAddressForm",
    value: function updateStoreAddressForm(storeId, address, callback) {
      var postBody = address;
      // verify the required parameter 'storeId' is set
      if (storeId === undefined || storeId === null) {
        throw new Error("Missing the required parameter 'storeId' when calling updateStoreAddressForm");
      }
      // verify the required parameter 'address' is set
      if (address === undefined || address === null) {
        throw new Error("Missing the required parameter 'address' when calling updateStoreAddressForm");
      }
      var pathParams = {
        'storeId': storeId
      };
      var queryParams = {};
      var headerParams = {};
      var formParams = {};
      var authNames = ['oauth2'];
      var contentTypes = ['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'];
      var accepts = ['application/json', 'text/json', 'application/xml', 'text/xml'];
      var returnType = Object;
      return this.apiClient.callApi('/api/v1.0/stores/{storeId}/addressform', 'POST', pathParams, queryParams, headerParams, formParams, postBody, authNames, contentTypes, accepts, returnType, null, callback);
    }
  }]);
}();