"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _CreatePromotion = _interopRequireDefault(require("./CreatePromotion"));
var _CreditNoteDetails = _interopRequireDefault(require("./CreditNoteDetails"));
var _LumpDiscountDetails = _interopRequireDefault(require("./LumpDiscountDetails"));
var _PercentDiscountDetails = _interopRequireDefault(require("./PercentDiscountDetails"));
var _ValidityPeriod = _interopRequireDefault(require("./ValidityPeriod"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The CreateVoucher model module.
 * @module model/CreateVoucher
 * @version 1.0.0
 */
var CreateVoucher = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>CreateVoucher</code>.
   * Create Voucher
   * @alias module:model/CreateVoucher
   */
  function CreateVoucher() {
    _classCallCheck(this, CreateVoucher);
    CreateVoucher.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(CreateVoucher, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>CreateVoucher</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/CreateVoucher} obj Optional instance to populate.
     * @return {module:model/CreateVoucher} The populated <code>CreateVoucher</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new CreateVoucher();
        if (data.hasOwnProperty('VoucherType')) {
          obj['VoucherType'] = _ApiClient["default"].convertToType(data['VoucherType'], 'String');
        }
        if (data.hasOwnProperty('Promotion')) {
          obj['Promotion'] = _CreatePromotion["default"].constructFromObject(data['Promotion']);
        }
        if (data.hasOwnProperty('CreditNoteDetails')) {
          obj['CreditNoteDetails'] = _CreditNoteDetails["default"].constructFromObject(data['CreditNoteDetails']);
        }
        if (data.hasOwnProperty('LumpDiscountDetails')) {
          obj['LumpDiscountDetails'] = _LumpDiscountDetails["default"].constructFromObject(data['LumpDiscountDetails']);
        }
        if (data.hasOwnProperty('PercentDiscountDetails')) {
          obj['PercentDiscountDetails'] = _PercentDiscountDetails["default"].constructFromObject(data['PercentDiscountDetails']);
        }
        if (data.hasOwnProperty('Code')) {
          obj['Code'] = _ApiClient["default"].convertToType(data['Code'], 'String');
        }
        if (data.hasOwnProperty('Description')) {
          obj['Description'] = _ApiClient["default"].convertToType(data['Description'], 'String');
        }
        if (data.hasOwnProperty('Stores')) {
          obj['Stores'] = _ApiClient["default"].convertToType(data['Stores'], ['Number']);
        }
        if (data.hasOwnProperty('ValidOnOrdersOver')) {
          obj['ValidOnOrdersOver'] = _ApiClient["default"].convertToType(data['ValidOnOrdersOver'], 'Number');
        }
        if (data.hasOwnProperty('TakesPriority')) {
          obj['TakesPriority'] = _ApiClient["default"].convertToType(data['TakesPriority'], 'Boolean');
        }
        if (data.hasOwnProperty('IsEnabled')) {
          obj['IsEnabled'] = _ApiClient["default"].convertToType(data['IsEnabled'], 'Boolean');
        }
        if (data.hasOwnProperty('IsAutomaticallyApplied')) {
          obj['IsAutomaticallyApplied'] = _ApiClient["default"].convertToType(data['IsAutomaticallyApplied'], 'Boolean');
        }
        if (data.hasOwnProperty('IncludeDeliveryFee')) {
          obj['IncludeDeliveryFee'] = _ApiClient["default"].convertToType(data['IncludeDeliveryFee'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidForDeliveryOrders')) {
          obj['IsValidForDeliveryOrders'] = _ApiClient["default"].convertToType(data['IsValidForDeliveryOrders'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidForPickupOrders')) {
          obj['IsValidForPickupOrders'] = _ApiClient["default"].convertToType(data['IsValidForPickupOrders'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidForOrdersPayedOnline')) {
          obj['IsValidForOrdersPayedOnline'] = _ApiClient["default"].convertToType(data['IsValidForOrdersPayedOnline'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidForOrdersPayedByCash')) {
          obj['IsValidForOrdersPayedByCash'] = _ApiClient["default"].convertToType(data['IsValidForOrdersPayedByCash'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidForFirstOrderOnly')) {
          obj['IsValidForFirstOrderOnly'] = _ApiClient["default"].convertToType(data['IsValidForFirstOrderOnly'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidOncePerCustomer')) {
          obj['IsValidOncePerCustomer'] = _ApiClient["default"].convertToType(data['IsValidOncePerCustomer'], 'Boolean');
        }
        if (data.hasOwnProperty('IsValidOnlyOnce')) {
          obj['IsValidOnlyOnce'] = _ApiClient["default"].convertToType(data['IsValidOnlyOnce'], 'Boolean');
        }
        if (data.hasOwnProperty('IsDiscoverable')) {
          obj['IsDiscoverable'] = _ApiClient["default"].convertToType(data['IsDiscoverable'], 'Boolean');
        }
        if (data.hasOwnProperty('ForceDiscount')) {
          obj['ForceDiscount'] = _ApiClient["default"].convertToType(data['ForceDiscount'], 'Boolean');
        }
        if (data.hasOwnProperty('StartDate')) {
          obj['StartDate'] = _ApiClient["default"].convertToType(data['StartDate'], 'Date');
        }
        if (data.hasOwnProperty('ExpiryDate')) {
          obj['ExpiryDate'] = _ApiClient["default"].convertToType(data['ExpiryDate'], 'Date');
        }
        if (data.hasOwnProperty('ChannelRestrictions')) {
          obj['ChannelRestrictions'] = _ApiClient["default"].convertToType(data['ChannelRestrictions'], ['String']);
        }
        if (data.hasOwnProperty('ValidityPeriods')) {
          obj['ValidityPeriods'] = _ApiClient["default"].convertToType(data['ValidityPeriods'], [_ValidityPeriod["default"]]);
        }
        if (data.hasOwnProperty('VoucherSubType')) {
          obj['VoucherSubType'] = _ApiClient["default"].convertToType(data['VoucherSubType'], 'String');
        }
        if (data.hasOwnProperty('CustomerId')) {
          obj['CustomerId'] = _ApiClient["default"].convertToType(data['CustomerId'], 'Number');
        }
        if (data.hasOwnProperty('MaxRedemptions')) {
          obj['MaxRedemptions'] = _ApiClient["default"].convertToType(data['MaxRedemptions'], 'Number');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * Voucher Type
 * @member {module:model/CreateVoucher.VoucherTypeEnum} VoucherType
 */
CreateVoucher.prototype['VoucherType'] = undefined;

/**
 * @member {module:model/CreatePromotion} Promotion
 */
CreateVoucher.prototype['Promotion'] = undefined;

/**
 * @member {module:model/CreditNoteDetails} CreditNoteDetails
 */
CreateVoucher.prototype['CreditNoteDetails'] = undefined;

/**
 * @member {module:model/LumpDiscountDetails} LumpDiscountDetails
 */
CreateVoucher.prototype['LumpDiscountDetails'] = undefined;

/**
 * @member {module:model/PercentDiscountDetails} PercentDiscountDetails
 */
CreateVoucher.prototype['PercentDiscountDetails'] = undefined;

/**
 * Voucher Code
 * @member {String} Code
 */
CreateVoucher.prototype['Code'] = undefined;

/**
 * Voucher Description (Visible on printout)
 * @member {String} Description
 */
CreateVoucher.prototype['Description'] = undefined;

/**
 * Stores that this voucher applies to
 * @member {Array.<Number>} Stores
 */
CreateVoucher.prototype['Stores'] = undefined;

/**
 * Valid on orders on or above
 * @member {Number} ValidOnOrdersOver
 */
CreateVoucher.prototype['ValidOnOrdersOver'] = undefined;

/**
 * Takes priority
 * @member {Boolean} TakesPriority
 */
CreateVoucher.prototype['TakesPriority'] = undefined;

/**
 * Is voucher enabled
 * @member {Boolean} IsEnabled
 */
CreateVoucher.prototype['IsEnabled'] = undefined;

/**
 * Is voucher automatically applied
 * @member {Boolean} IsAutomaticallyApplied
 */
CreateVoucher.prototype['IsAutomaticallyApplied'] = undefined;

/**
 * Include delivery fees
 * @member {Boolean} IncludeDeliveryFee
 */
CreateVoucher.prototype['IncludeDeliveryFee'] = undefined;

/**
 * Valid for delivery orders
 * @member {Boolean} IsValidForDeliveryOrders
 */
CreateVoucher.prototype['IsValidForDeliveryOrders'] = undefined;

/**
 * Valid for pickup orders
 * @member {Boolean} IsValidForPickupOrders
 */
CreateVoucher.prototype['IsValidForPickupOrders'] = undefined;

/**
 * Valid for orders payed online
 * @member {Boolean} IsValidForOrdersPayedOnline
 */
CreateVoucher.prototype['IsValidForOrdersPayedOnline'] = undefined;

/**
 * Valid for orders payed in cash
 * @member {Boolean} IsValidForOrdersPayedByCash
 */
CreateVoucher.prototype['IsValidForOrdersPayedByCash'] = undefined;

/**
 * Valid only on the first order by the customer
 * @member {Boolean} IsValidForFirstOrderOnly
 */
CreateVoucher.prototype['IsValidForFirstOrderOnly'] = undefined;

/**
 * Valid once per customer
 * @member {Boolean} IsValidOncePerCustomer
 */
CreateVoucher.prototype['IsValidOncePerCustomer'] = undefined;

/**
 * Valid only once, by any customer (once used cannot be used again by any other customer)
 * @member {Boolean} IsValidOnlyOnce
 */
CreateVoucher.prototype['IsValidOnlyOnce'] = undefined;

/**
 * Enables the voucher to be offered in the Voucher Discoverability feature
 * @member {Boolean} IsDiscoverable
 */
CreateVoucher.prototype['IsDiscoverable'] = undefined;

/**
 * Force the discount to be applied which bypasses some menu restrictions
 * @member {Boolean} ForceDiscount
 */
CreateVoucher.prototype['ForceDiscount'] = undefined;

/**
 * Voucher Starts On (Time in UTC)
 * @member {Date} StartDate
 */
CreateVoucher.prototype['StartDate'] = undefined;

/**
 * Voucher Expires On (Time in UTC)
 * @member {Date} ExpiryDate
 */
CreateVoucher.prototype['ExpiryDate'] = undefined;

/**
 * Limit the channels this voucher can be used on
 * @member {Array.<module:model/CreateVoucher.ChannelRestrictionsEnum>} ChannelRestrictions
 */
CreateVoucher.prototype['ChannelRestrictions'] = undefined;

/**
 * Periods in which the voucher is valid.  An empty list means the voucher is valid at all times.  When updating the voucher, if this is set to null, the validity periods won't be updated.
 * @member {Array.<module:model/ValidityPeriod>} ValidityPeriods
 */
CreateVoucher.prototype['ValidityPeriods'] = undefined;

/**
 * Voucher Subtype
 * @member {module:model/CreateVoucher.VoucherSubTypeEnum} VoucherSubType
 */
CreateVoucher.prototype['VoucherSubType'] = undefined;

/**
 * Customer UserID
 * @member {Number} CustomerId
 */
CreateVoucher.prototype['CustomerId'] = undefined;

/**
 * Maximum number of times the voucher can be redeemed (used)
 * @member {Number} MaxRedemptions
 */
CreateVoucher.prototype['MaxRedemptions'] = undefined;

/**
 * Allowed values for the <code>VoucherType</code> property.
 * @enum {String}
 * @readonly
 */
CreateVoucher['VoucherTypeEnum'] = {
  /**
   * value: "PercentageDiscount"
   * @const
   */
  "PercentageDiscount": "PercentageDiscount",
  /**
   * value: "LumpDiscount"
   * @const
   */
  "LumpDiscount": "LumpDiscount",
  /**
   * value: "AddItem"
   * @const
   */
  "AddItem": "AddItem",
  /**
   * value: "CreditNote"
   * @const
   */
  "CreditNote": "CreditNote",
  /**
   * value: "FreeDelivery"
   * @const
   */
  "FreeDelivery": "FreeDelivery"
};

/**
 * Allowed values for the <code>ChannelRestrictions</code> property.
 * @enum {String}
 * @readonly
 */
CreateVoucher['ChannelRestrictionsEnum'] = {
  /**
   * value: "Ios"
   * @const
   */
  "Ios": "Ios",
  /**
   * value: "Android"
   * @const
   */
  "Android": "Android",
  /**
   * value: "Web"
   * @const
   */
  "Web": "Web",
  /**
   * value: "Kiosk"
   * @const
   */
  "Kiosk": "Kiosk",
  /**
   * value: "Pos"
   * @const
   */
  "Pos": "Pos",
  /**
   * value: "Google"
   * @const
   */
  "Google": "Google"
};

/**
 * Allowed values for the <code>VoucherSubType</code> property.
 * @enum {String}
 * @readonly
 */
CreateVoucher['VoucherSubTypeEnum'] = {
  /**
   * value: "None"
   * @const
   */
  "None": "None",
  /**
   * value: "SignUp"
   * @const
   */
  "SignUp": "SignUp",
  /**
   * value: "Loyalty"
   * @const
   */
  "Loyalty": "Loyalty",
  /**
   * value: "Loyalty25"
   * @const
   */
  "Loyalty25": "Loyalty25",
  /**
   * value: "Retention"
   * @const
   */
  "Retention": "Retention",
  /**
   * value: "SecondaryRetention"
   * @const
   */
  "SecondaryRetention": "SecondaryRetention",
  /**
   * value: "Custom"
   * @const
   */
  "Custom": "Custom"
};
var _default = exports["default"] = CreateVoucher;