"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _AnalyticsClientEvent = _interopRequireDefault(require("./AnalyticsClientEvent"));
var _AppCreatedEvent = _interopRequireDefault(require("./AppCreatedEvent"));
var _AppStoreConfigCreatedEvent = _interopRequireDefault(require("./AppStoreConfigCreatedEvent"));
var _AppStoreConfigDeletedEvent = _interopRequireDefault(require("./AppStoreConfigDeletedEvent"));
var _AppStoreConfigUpdatedEvent = _interopRequireDefault(require("./AppStoreConfigUpdatedEvent"));
var _AppStoreSubscriptionChangeJobUpdatedEvent = _interopRequireDefault(require("./AppStoreSubscriptionChangeJobUpdatedEvent"));
var _AppUpdatedEvent = _interopRequireDefault(require("./AppUpdatedEvent"));
var _BankAccountAssignedEvent = _interopRequireDefault(require("./BankAccountAssignedEvent"));
var _BankAccountCreatedEvent = _interopRequireDefault(require("./BankAccountCreatedEvent"));
var _BankAccountDeletedEvent = _interopRequireDefault(require("./BankAccountDeletedEvent"));
var _BankAccountUpdatedEvent = _interopRequireDefault(require("./BankAccountUpdatedEvent"));
var _CatalogGroupArchivedEvent = _interopRequireDefault(require("./CatalogGroupArchivedEvent"));
var _CatalogGroupCreatedEvent = _interopRequireDefault(require("./CatalogGroupCreatedEvent"));
var _CatalogGroupUpdatedEvent = _interopRequireDefault(require("./CatalogGroupUpdatedEvent"));
var _CatalogItemArchivedEvent = _interopRequireDefault(require("./CatalogItemArchivedEvent"));
var _CatalogItemCreatedEvent = _interopRequireDefault(require("./CatalogItemCreatedEvent"));
var _CatalogItemUpdatedEvent = _interopRequireDefault(require("./CatalogItemUpdatedEvent"));
var _CertificateCreatedEvent = _interopRequireDefault(require("./CertificateCreatedEvent"));
var _CertificateRenewedEvent = _interopRequireDefault(require("./CertificateRenewedEvent"));
var _ChannelStoresUpdatedEvent = _interopRequireDefault(require("./ChannelStoresUpdatedEvent"));
var _CustomerConsentUpdatedEvent = _interopRequireDefault(require("./CustomerConsentUpdatedEvent"));
var _CustomerCreatedEvent = _interopRequireDefault(require("./CustomerCreatedEvent"));
var _CustomerUpdatedEvent = _interopRequireDefault(require("./CustomerUpdatedEvent"));
var _DeliveryZoneCreatedEvent = _interopRequireDefault(require("./DeliveryZoneCreatedEvent"));
var _DeliveryZoneDeletedEvent = _interopRequireDefault(require("./DeliveryZoneDeletedEvent"));
var _DeliveryZoneUpdatedEvent = _interopRequireDefault(require("./DeliveryZoneUpdatedEvent"));
var _DnsVerifiedEvent = _interopRequireDefault(require("./DnsVerifiedEvent"));
var _EmvNotificationEvent = _interopRequireDefault(require("./EmvNotificationEvent"));
var _ExternalStoreEvent = _interopRequireDefault(require("./ExternalStoreEvent"));
var _HydraAssignedEvent = _interopRequireDefault(require("./HydraAssignedEvent"));
var _HydraConnectionStatusChangedEvent = _interopRequireDefault(require("./HydraConnectionStatusChangedEvent"));
var _HydraRequestResetEvent = _interopRequireDefault(require("./HydraRequestResetEvent"));
var _HydraSettingChangedEvent = _interopRequireDefault(require("./HydraSettingChangedEvent"));
var _HydraStoreAssignedEvent = _interopRequireDefault(require("./HydraStoreAssignedEvent"));
var _HydraStoreUnassignedEvent = _interopRequireDefault(require("./HydraStoreUnassignedEvent"));
var _HydraUnAssignedEvent = _interopRequireDefault(require("./HydraUnAssignedEvent"));
var _KioskBluetoothInstallUpdateInitiateEvent = _interopRequireDefault(require("./KioskBluetoothInstallUpdateInitiateEvent"));
var _KioskBluetoothPairingModeEvent = _interopRequireDefault(require("./KioskBluetoothPairingModeEvent"));
var _KioskBluetoothTerminalCancelUpdateEvent = _interopRequireDefault(require("./KioskBluetoothTerminalCancelUpdateEvent"));
var _KioskBluetoothTerminalFirmwareVersionStatusEvent = _interopRequireDefault(require("./KioskBluetoothTerminalFirmwareVersionStatusEvent"));
var _KioskBluetoothTerminalInitiateUpdateCheckEvent = _interopRequireDefault(require("./KioskBluetoothTerminalInitiateUpdateCheckEvent"));
var _KioskBluetoothTerminalInstallationStatusEvent = _interopRequireDefault(require("./KioskBluetoothTerminalInstallationStatusEvent"));
var _KioskBluetoothTerminalUnpairedEvent = _interopRequireDefault(require("./KioskBluetoothTerminalUnpairedEvent"));
var _KioskBluetoothTerminalUpdatedEvent = _interopRequireDefault(require("./KioskBluetoothTerminalUpdatedEvent"));
var _KioskBluetoothUnpairingModeEvent = _interopRequireDefault(require("./KioskBluetoothUnpairingModeEvent"));
var _KioskTerminalActionStateChangedEvent = _interopRequireDefault(require("./KioskTerminalActionStateChangedEvent"));
var _LocationAreaCreatedEvent = _interopRequireDefault(require("./LocationAreaCreatedEvent"));
var _LocationAreaUpdatedEvent = _interopRequireDefault(require("./LocationAreaUpdatedEvent"));
var _LocationCreatedEvent = _interopRequireDefault(require("./LocationCreatedEvent"));
var _LocationDeletedEvent = _interopRequireDefault(require("./LocationDeletedEvent"));
var _LoyaltyCampaignCreatedEvent = _interopRequireDefault(require("./LoyaltyCampaignCreatedEvent"));
var _LoyaltyCampaignDeletedEvent = _interopRequireDefault(require("./LoyaltyCampaignDeletedEvent"));
var _LoyaltyCampaignUpdatedEvent = _interopRequireDefault(require("./LoyaltyCampaignUpdatedEvent"));
var _MenuAsyncCreationCompletedEvent = _interopRequireDefault(require("./MenuAsyncCreationCompletedEvent"));
var _MenuBulkEditEvent = _interopRequireDefault(require("./MenuBulkEditEvent"));
var _MenuCheckpointCreatedEvent = _interopRequireDefault(require("./MenuCheckpointCreatedEvent"));
var _MenuCreatedEvent = _interopRequireDefault(require("./MenuCreatedEvent"));
var _MenuItemOptionSetCreatedEvent = _interopRequireDefault(require("./MenuItemOptionSetCreatedEvent"));
var _MenuItemOptionSetDeletedEvent = _interopRequireDefault(require("./MenuItemOptionSetDeletedEvent"));
var _MenuItemOptionSetItemCreatedEvent = _interopRequireDefault(require("./MenuItemOptionSetItemCreatedEvent"));
var _MenuItemOptionSetItemDeletedEvent = _interopRequireDefault(require("./MenuItemOptionSetItemDeletedEvent"));
var _MenuItemOptionSetItemUpdatedEvent = _interopRequireDefault(require("./MenuItemOptionSetItemUpdatedEvent"));
var _MenuItemOptionSetUpdatedEvent = _interopRequireDefault(require("./MenuItemOptionSetUpdatedEvent"));
var _MenuSectionCreatedEvent = _interopRequireDefault(require("./MenuSectionCreatedEvent"));
var _MenuSectionDeletedEvent = _interopRequireDefault(require("./MenuSectionDeletedEvent"));
var _MenuSectionItemCreatedEvent = _interopRequireDefault(require("./MenuSectionItemCreatedEvent"));
var _MenuSectionItemDeletedEvent = _interopRequireDefault(require("./MenuSectionItemDeletedEvent"));
var _MenuSectionItemUpdatedEvent = _interopRequireDefault(require("./MenuSectionItemUpdatedEvent"));
var _MenuSectionUpdatedEvent = _interopRequireDefault(require("./MenuSectionUpdatedEvent"));
var _MenuUpdatedEvent = _interopRequireDefault(require("./MenuUpdatedEvent"));
var _MenuUploadedEvent = _interopRequireDefault(require("./MenuUploadedEvent"));
var _MobileAppsSubmissionStatusUpdatedEvent = _interopRequireDefault(require("./MobileAppsSubmissionStatusUpdatedEvent"));
var _MobileAppsSubmissionUpdatedEvent = _interopRequireDefault(require("./MobileAppsSubmissionUpdatedEvent"));
var _OrderAcceptedEvent = _interopRequireDefault(require("./OrderAcceptedEvent"));
var _OrderBatchPublishedEvent = _interopRequireDefault(require("./OrderBatchPublishedEvent"));
var _OrderCapacityConfigUpdatedEvent = _interopRequireDefault(require("./OrderCapacityConfigUpdatedEvent"));
var _OrderCreatedEvent = _interopRequireDefault(require("./OrderCreatedEvent"));
var _OrderCustomerTrackingCreatedEvent = _interopRequireDefault(require("./OrderCustomerTrackingCreatedEvent"));
var _OrderDeliveryTrackingStatusUpdatedEvent = _interopRequireDefault(require("./OrderDeliveryTrackingStatusUpdatedEvent"));
var _OrderDispatchedEvent = _interopRequireDefault(require("./OrderDispatchedEvent"));
var _OrderFulfillmentStatusUpdatedEvent = _interopRequireDefault(require("./OrderFulfillmentStatusUpdatedEvent"));
var _OrderRatingUpdatedEvent = _interopRequireDefault(require("./OrderRatingUpdatedEvent"));
var _OrderRefundedEvent = _interopRequireDefault(require("./OrderRefundedEvent"));
var _OrderRejectedEvent = _interopRequireDefault(require("./OrderRejectedEvent"));
var _OrderTipUpdatedEvent = _interopRequireDefault(require("./OrderTipUpdatedEvent"));
var _PhoneCallEndedEvent = _interopRequireDefault(require("./PhoneCallEndedEvent"));
var _PhoneCallStartedEvent = _interopRequireDefault(require("./PhoneCallStartedEvent"));
var _PrinterAssignedToStoreEvent = _interopRequireDefault(require("./PrinterAssignedToStoreEvent"));
var _PrinterTurnedOffEvent = _interopRequireDefault(require("./PrinterTurnedOffEvent"));
var _PrinterTurnedOnEvent = _interopRequireDefault(require("./PrinterTurnedOnEvent"));
var _PrinterUnassignedFromStoreEvent = _interopRequireDefault(require("./PrinterUnassignedFromStoreEvent"));
var _PushNotificationDeletedEvent = _interopRequireDefault(require("./PushNotificationDeletedEvent"));
var _PushNotificationScheduledEvent = _interopRequireDefault(require("./PushNotificationScheduledEvent"));
var _PushNotificationSentEvent = _interopRequireDefault(require("./PushNotificationSentEvent"));
var _RetentionCampaignCreatedEvent = _interopRequireDefault(require("./RetentionCampaignCreatedEvent"));
var _RetentionCampaignDeletedEvent = _interopRequireDefault(require("./RetentionCampaignDeletedEvent"));
var _RetentionCampaignUpdatedEvent = _interopRequireDefault(require("./RetentionCampaignUpdatedEvent"));
var _SmsReceivedEvent = _interopRequireDefault(require("./SmsReceivedEvent"));
var _StoreAddressUpdatedEvent = _interopRequireDefault(require("./StoreAddressUpdatedEvent"));
var _StoreArchivedEvent = _interopRequireDefault(require("./StoreArchivedEvent"));
var _StoreBusinessHoursOverrideCreatedEvent = _interopRequireDefault(require("./StoreBusinessHoursOverrideCreatedEvent"));
var _StoreBusinessHoursOverrideDeletedEvent = _interopRequireDefault(require("./StoreBusinessHoursOverrideDeletedEvent"));
var _StoreCreatedEvent = _interopRequireDefault(require("./StoreCreatedEvent"));
var _StoreDeletedEvent = _interopRequireDefault(require("./StoreDeletedEvent"));
var _StoreFeeConfigUpdatedEvent = _interopRequireDefault(require("./StoreFeeConfigUpdatedEvent"));
var _StoreGroupCreatedEvent = _interopRequireDefault(require("./StoreGroupCreatedEvent"));
var _StoreGroupDeletedEvent = _interopRequireDefault(require("./StoreGroupDeletedEvent"));
var _StoreGroupUpdatedEvent = _interopRequireDefault(require("./StoreGroupUpdatedEvent"));
var _StoreKioskSettingUpdatedEvent = _interopRequireDefault(require("./StoreKioskSettingUpdatedEvent"));
var _StoreLogoCreatedEvent = _interopRequireDefault(require("./StoreLogoCreatedEvent"));
var _StoreLogoDeletedEvent = _interopRequireDefault(require("./StoreLogoDeletedEvent"));
var _StoreLogoUpdatedEvent = _interopRequireDefault(require("./StoreLogoUpdatedEvent"));
var _StoreMenuAssignedEvent = _interopRequireDefault(require("./StoreMenuAssignedEvent"));
var _StoreOpeningHoursUpdatedEvent = _interopRequireDefault(require("./StoreOpeningHoursUpdatedEvent"));
var _StorePreOrderConfigUpdatedEvent = _interopRequireDefault(require("./StorePreOrderConfigUpdatedEvent"));
var _StorePublishedEvent = _interopRequireDefault(require("./StorePublishedEvent"));
var _StoreServiceChargeUpdatedEvent = _interopRequireDefault(require("./StoreServiceChargeUpdatedEvent"));
var _StoreTipUpdatedEvent = _interopRequireDefault(require("./StoreTipUpdatedEvent"));
var _StoreUnarchivedEvent = _interopRequireDefault(require("./StoreUnarchivedEvent"));
var _StoreUnpublishedEvent = _interopRequireDefault(require("./StoreUnpublishedEvent"));
var _StoreUpdatedEvent = _interopRequireDefault(require("./StoreUpdatedEvent"));
var _TeammateDeletedEvent = _interopRequireDefault(require("./TeammateDeletedEvent"));
var _TeammateInviteAcceptedEvent = _interopRequireDefault(require("./TeammateInviteAcceptedEvent"));
var _TeammateInviteSentEvent = _interopRequireDefault(require("./TeammateInviteSentEvent"));
var _TeammateUpdatedEvent = _interopRequireDefault(require("./TeammateUpdatedEvent"));
var _TelephonyConfigUpdatedEvent = _interopRequireDefault(require("./TelephonyConfigUpdatedEvent"));
var _UserAnsweredSignupQuestionsEvent = _interopRequireDefault(require("./UserAnsweredSignupQuestionsEvent"));
var _UserCreatedEvent = _interopRequireDefault(require("./UserCreatedEvent"));
var _UserDeletedEvent = _interopRequireDefault(require("./UserDeletedEvent"));
var _UserLoginEvent = _interopRequireDefault(require("./UserLoginEvent"));
var _UserPasswordCreatedEvent = _interopRequireDefault(require("./UserPasswordCreatedEvent"));
var _UserUpdatedEvent = _interopRequireDefault(require("./UserUpdatedEvent"));
var _VoucherAppliedEvent = _interopRequireDefault(require("./VoucherAppliedEvent"));
var _VoucherCreatedEvent = _interopRequireDefault(require("./VoucherCreatedEvent"));
var _VoucherDeletedEvent = _interopRequireDefault(require("./VoucherDeletedEvent"));
var _VoucherUpdatedEvent = _interopRequireDefault(require("./VoucherUpdatedEvent"));
var _WebhookSubscriptionCreatedEvent = _interopRequireDefault(require("./WebhookSubscriptionCreatedEvent"));
var _WebhookSubscriptionDeletedEvent = _interopRequireDefault(require("./WebhookSubscriptionDeletedEvent"));
var _WebhookSubscriptionUpdatedEvent = _interopRequireDefault(require("./WebhookSubscriptionUpdatedEvent"));
var _WebsiteUpdatedEvent = _interopRequireDefault(require("./WebsiteUpdatedEvent"));
var _WebsiteVanityUrlUpdatedEvent = _interopRequireDefault(require("./WebsiteVanityUrlUpdatedEvent"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The EventSearchResult model module.
 * @module model/EventSearchResult
 * @version 1.0.0
 */
var EventSearchResult = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>EventSearchResult</code>.
   * 
   * @alias module:model/EventSearchResult
   */
  function EventSearchResult() {
    _classCallCheck(this, EventSearchResult);
    EventSearchResult.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(EventSearchResult, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>EventSearchResult</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/EventSearchResult} obj Optional instance to populate.
     * @return {module:model/EventSearchResult} The populated <code>EventSearchResult</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new EventSearchResult();
        if (data.hasOwnProperty('AppCreatedEvent')) {
          obj['AppCreatedEvent'] = _ApiClient["default"].convertToType(data['AppCreatedEvent'], [_AppCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('AppUpdatedEvent')) {
          obj['AppUpdatedEvent'] = _ApiClient["default"].convertToType(data['AppUpdatedEvent'], [_AppUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('AnalyticsClientEvent')) {
          obj['AnalyticsClientEvent'] = _ApiClient["default"].convertToType(data['AnalyticsClientEvent'], [_AnalyticsClientEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderAcceptedEvent')) {
          obj['OrderAcceptedEvent'] = _ApiClient["default"].convertToType(data['OrderAcceptedEvent'], [_OrderAcceptedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderDispatchedEvent')) {
          obj['OrderDispatchedEvent'] = _ApiClient["default"].convertToType(data['OrderDispatchedEvent'], [_OrderDispatchedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderCustomerTrackingCreatedEvent')) {
          obj['OrderCustomerTrackingCreatedEvent'] = _ApiClient["default"].convertToType(data['OrderCustomerTrackingCreatedEvent'], [_OrderCustomerTrackingCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderDeliveryTrackingStatusUpdatedEvent')) {
          obj['OrderDeliveryTrackingStatusUpdatedEvent'] = _ApiClient["default"].convertToType(data['OrderDeliveryTrackingStatusUpdatedEvent'], [_OrderDeliveryTrackingStatusUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderBatchPublishedEvent')) {
          obj['OrderBatchPublishedEvent'] = _ApiClient["default"].convertToType(data['OrderBatchPublishedEvent'], [_OrderBatchPublishedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderCreatedEvent')) {
          obj['OrderCreatedEvent'] = _ApiClient["default"].convertToType(data['OrderCreatedEvent'], [_OrderCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderRatingUpdatedEvent')) {
          obj['OrderRatingUpdatedEvent'] = _ApiClient["default"].convertToType(data['OrderRatingUpdatedEvent'], [_OrderRatingUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderRefundedEvent')) {
          obj['OrderRefundedEvent'] = _ApiClient["default"].convertToType(data['OrderRefundedEvent'], [_OrderRefundedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderRejectedEvent')) {
          obj['OrderRejectedEvent'] = _ApiClient["default"].convertToType(data['OrderRejectedEvent'], [_OrderRejectedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderTipUpdatedEvent')) {
          obj['OrderTipUpdatedEvent'] = _ApiClient["default"].convertToType(data['OrderTipUpdatedEvent'], [_OrderTipUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderTerminalNotifications')) {
          obj['OrderTerminalNotifications'] = _ApiClient["default"].convertToType(data['OrderTerminalNotifications'], [_EmvNotificationEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreCreatedEvent')) {
          obj['StoreCreatedEvent'] = _ApiClient["default"].convertToType(data['StoreCreatedEvent'], [_StoreCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreDeletedEvent')) {
          obj['StoreDeletedEvent'] = _ApiClient["default"].convertToType(data['StoreDeletedEvent'], [_StoreDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreAddressUpdatedEvent')) {
          obj['StoreAddressUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreAddressUpdatedEvent'], [_StoreAddressUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreKioskSettingUpdatedEvent')) {
          obj['StoreKioskSettingUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreKioskSettingUpdatedEvent'], [_StoreKioskSettingUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('DeliveryZoneCreatedEvent')) {
          obj['DeliveryZoneCreatedEvent'] = _ApiClient["default"].convertToType(data['DeliveryZoneCreatedEvent'], [_DeliveryZoneCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('DeliveryZoneUpdatedEvent')) {
          obj['DeliveryZoneUpdatedEvent'] = _ApiClient["default"].convertToType(data['DeliveryZoneUpdatedEvent'], [_DeliveryZoneUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('DeliveryZoneDeletedEvent')) {
          obj['DeliveryZoneDeletedEvent'] = _ApiClient["default"].convertToType(data['DeliveryZoneDeletedEvent'], [_DeliveryZoneDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreOpeningHoursUpdatedEvent')) {
          obj['StoreOpeningHoursUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreOpeningHoursUpdatedEvent'], [_StoreOpeningHoursUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreMenuAssignedEvent')) {
          obj['StoreMenuAssignedEvent'] = _ApiClient["default"].convertToType(data['StoreMenuAssignedEvent'], [_StoreMenuAssignedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreBusinessHoursOverrideCreatedEvent')) {
          obj['StoreBusinessHoursOverrideCreatedEvent'] = _ApiClient["default"].convertToType(data['StoreBusinessHoursOverrideCreatedEvent'], [_StoreBusinessHoursOverrideCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreBusinessHoursOverrideDeletedEvent')) {
          obj['StoreBusinessHoursOverrideDeletedEvent'] = _ApiClient["default"].convertToType(data['StoreBusinessHoursOverrideDeletedEvent'], [_StoreBusinessHoursOverrideDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreArchivedEvent')) {
          obj['StoreArchivedEvent'] = _ApiClient["default"].convertToType(data['StoreArchivedEvent'], [_StoreArchivedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreUnarchivedEvent')) {
          obj['StoreUnarchivedEvent'] = _ApiClient["default"].convertToType(data['StoreUnarchivedEvent'], [_StoreUnarchivedEvent["default"]]);
        }
        if (data.hasOwnProperty('StorePublishedEvent')) {
          obj['StorePublishedEvent'] = _ApiClient["default"].convertToType(data['StorePublishedEvent'], [_StorePublishedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreUnpublishedEvent')) {
          obj['StoreUnpublishedEvent'] = _ApiClient["default"].convertToType(data['StoreUnpublishedEvent'], [_StoreUnpublishedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreUpdatedEvent')) {
          obj['StoreUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreUpdatedEvent'], [_StoreUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StorePreOrderConfigUpdatedEvent')) {
          obj['StorePreOrderConfigUpdatedEvent'] = _ApiClient["default"].convertToType(data['StorePreOrderConfigUpdatedEvent'], [_StorePreOrderConfigUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreLogoCreatedEvent')) {
          obj['StoreLogoCreatedEvent'] = _ApiClient["default"].convertToType(data['StoreLogoCreatedEvent'], [_StoreLogoCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreLogoUpdatedEvent')) {
          obj['StoreLogoUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreLogoUpdatedEvent'], [_StoreLogoUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreLogoDeletedEvent')) {
          obj['StoreLogoDeletedEvent'] = _ApiClient["default"].convertToType(data['StoreLogoDeletedEvent'], [_StoreLogoDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuCreatedEvent')) {
          obj['MenuCreatedEvent'] = _ApiClient["default"].convertToType(data['MenuCreatedEvent'], [_MenuCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuAsyncCreationCompletedEvent')) {
          obj['MenuAsyncCreationCompletedEvent'] = _ApiClient["default"].convertToType(data['MenuAsyncCreationCompletedEvent'], [_MenuAsyncCreationCompletedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuUpdatedEvent')) {
          obj['MenuUpdatedEvent'] = _ApiClient["default"].convertToType(data['MenuUpdatedEvent'], [_MenuUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuUploadedEvent')) {
          obj['MenuUploadedEvent'] = _ApiClient["default"].convertToType(data['MenuUploadedEvent'], [_MenuUploadedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuBulkEditEvent')) {
          obj['MenuBulkEditEvent'] = _ApiClient["default"].convertToType(data['MenuBulkEditEvent'], [_MenuBulkEditEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuSectionCreatedEvent')) {
          obj['MenuSectionCreatedEvent'] = _ApiClient["default"].convertToType(data['MenuSectionCreatedEvent'], [_MenuSectionCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuSectionUpdatedEvent')) {
          obj['MenuSectionUpdatedEvent'] = _ApiClient["default"].convertToType(data['MenuSectionUpdatedEvent'], [_MenuSectionUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuSectionDeletedEvent')) {
          obj['MenuSectionDeletedEvent'] = _ApiClient["default"].convertToType(data['MenuSectionDeletedEvent'], [_MenuSectionDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuSectionItemCreatedEvent')) {
          obj['MenuSectionItemCreatedEvent'] = _ApiClient["default"].convertToType(data['MenuSectionItemCreatedEvent'], [_MenuSectionItemCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuSectionItemUpdatedEvent')) {
          obj['MenuSectionItemUpdatedEvent'] = _ApiClient["default"].convertToType(data['MenuSectionItemUpdatedEvent'], [_MenuSectionItemUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuSectionItemDeletedEvent')) {
          obj['MenuSectionItemDeletedEvent'] = _ApiClient["default"].convertToType(data['MenuSectionItemDeletedEvent'], [_MenuSectionItemDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuItemOptionSetCreatedEvent')) {
          obj['MenuItemOptionSetCreatedEvent'] = _ApiClient["default"].convertToType(data['MenuItemOptionSetCreatedEvent'], [_MenuItemOptionSetCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuItemOptionSetUpdatedEvent')) {
          obj['MenuItemOptionSetUpdatedEvent'] = _ApiClient["default"].convertToType(data['MenuItemOptionSetUpdatedEvent'], [_MenuItemOptionSetUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuItemOptionSetDeletedEvent')) {
          obj['MenuItemOptionSetDeletedEvent'] = _ApiClient["default"].convertToType(data['MenuItemOptionSetDeletedEvent'], [_MenuItemOptionSetDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuItemOptionSetItemCreatedEvent')) {
          obj['MenuItemOptionSetItemCreatedEvent'] = _ApiClient["default"].convertToType(data['MenuItemOptionSetItemCreatedEvent'], [_MenuItemOptionSetItemCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuItemOptionSetItemUpdatedEvent')) {
          obj['MenuItemOptionSetItemUpdatedEvent'] = _ApiClient["default"].convertToType(data['MenuItemOptionSetItemUpdatedEvent'], [_MenuItemOptionSetItemUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuItemOptionSetItemDeletedEvent')) {
          obj['MenuItemOptionSetItemDeletedEvent'] = _ApiClient["default"].convertToType(data['MenuItemOptionSetItemDeletedEvent'], [_MenuItemOptionSetItemDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('MenuCheckpointCreatedEvent')) {
          obj['MenuCheckpointCreatedEvent'] = _ApiClient["default"].convertToType(data['MenuCheckpointCreatedEvent'], [_MenuCheckpointCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreGroupCreatedEvent')) {
          obj['StoreGroupCreatedEvent'] = _ApiClient["default"].convertToType(data['StoreGroupCreatedEvent'], [_StoreGroupCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreGroupUpdatedEvent')) {
          obj['StoreGroupUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreGroupUpdatedEvent'], [_StoreGroupUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreGroupDeletedEvent')) {
          obj['StoreGroupDeletedEvent'] = _ApiClient["default"].convertToType(data['StoreGroupDeletedEvent'], [_StoreGroupDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('CustomerCreatedEvent')) {
          obj['CustomerCreatedEvent'] = _ApiClient["default"].convertToType(data['CustomerCreatedEvent'], [_CustomerCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CustomerUpdatedEvent')) {
          obj['CustomerUpdatedEvent'] = _ApiClient["default"].convertToType(data['CustomerUpdatedEvent'], [_CustomerUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CustomerConsentUpdatedEvent')) {
          obj['CustomerConsentUpdatedEvent'] = _ApiClient["default"].convertToType(data['CustomerConsentUpdatedEvent'], [_CustomerConsentUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('WebhookSubscriptionCreatedEvent')) {
          obj['WebhookSubscriptionCreatedEvent'] = _ApiClient["default"].convertToType(data['WebhookSubscriptionCreatedEvent'], [_WebhookSubscriptionCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('WebhookSubscriptionUpdatedEvent')) {
          obj['WebhookSubscriptionUpdatedEvent'] = _ApiClient["default"].convertToType(data['WebhookSubscriptionUpdatedEvent'], [_WebhookSubscriptionUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('WebhookSubscriptionDeletedEvent')) {
          obj['WebhookSubscriptionDeletedEvent'] = _ApiClient["default"].convertToType(data['WebhookSubscriptionDeletedEvent'], [_WebhookSubscriptionDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('PrinterTurnedOnEvent')) {
          obj['PrinterTurnedOnEvent'] = _ApiClient["default"].convertToType(data['PrinterTurnedOnEvent'], [_PrinterTurnedOnEvent["default"]]);
        }
        if (data.hasOwnProperty('PrinterTurnedOffEvent')) {
          obj['PrinterTurnedOffEvent'] = _ApiClient["default"].convertToType(data['PrinterTurnedOffEvent'], [_PrinterTurnedOffEvent["default"]]);
        }
        if (data.hasOwnProperty('PrinterAssignedToStoreEvent')) {
          obj['PrinterAssignedToStoreEvent'] = _ApiClient["default"].convertToType(data['PrinterAssignedToStoreEvent'], [_PrinterAssignedToStoreEvent["default"]]);
        }
        if (data.hasOwnProperty('PrinterUnassignedFromStoreEvent')) {
          obj['PrinterUnassignedFromStoreEvent'] = _ApiClient["default"].convertToType(data['PrinterUnassignedFromStoreEvent'], [_PrinterUnassignedFromStoreEvent["default"]]);
        }
        if (data.hasOwnProperty('PhoneCallStartedEvent')) {
          obj['PhoneCallStartedEvent'] = _ApiClient["default"].convertToType(data['PhoneCallStartedEvent'], [_PhoneCallStartedEvent["default"]]);
        }
        if (data.hasOwnProperty('PhoneCallEndedEvent')) {
          obj['PhoneCallEndedEvent'] = _ApiClient["default"].convertToType(data['PhoneCallEndedEvent'], [_PhoneCallEndedEvent["default"]]);
        }
        if (data.hasOwnProperty('TelephonyConfigUpdatedEvent')) {
          obj['TelephonyConfigUpdatedEvent'] = _ApiClient["default"].convertToType(data['TelephonyConfigUpdatedEvent'], [_TelephonyConfigUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('ChannelStoresUpdatedEvent')) {
          obj['ChannelStoresUpdatedEvent'] = _ApiClient["default"].convertToType(data['ChannelStoresUpdatedEvent'], [_ChannelStoresUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('LoyaltyCampaignCreatedEvent')) {
          obj['LoyaltyCampaignCreatedEvent'] = _ApiClient["default"].convertToType(data['LoyaltyCampaignCreatedEvent'], [_LoyaltyCampaignCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('LoyaltyCampaignDeletedEvent')) {
          obj['LoyaltyCampaignDeletedEvent'] = _ApiClient["default"].convertToType(data['LoyaltyCampaignDeletedEvent'], [_LoyaltyCampaignDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('LoyaltyCampaignUpdatedEvent')) {
          obj['LoyaltyCampaignUpdatedEvent'] = _ApiClient["default"].convertToType(data['LoyaltyCampaignUpdatedEvent'], [_LoyaltyCampaignUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('RetentionCampaignCreatedEvent')) {
          obj['RetentionCampaignCreatedEvent'] = _ApiClient["default"].convertToType(data['RetentionCampaignCreatedEvent'], [_RetentionCampaignCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('RetentionCampaignDeletedEvent')) {
          obj['RetentionCampaignDeletedEvent'] = _ApiClient["default"].convertToType(data['RetentionCampaignDeletedEvent'], [_RetentionCampaignDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('RetentionCampaignUpdatedEvent')) {
          obj['RetentionCampaignUpdatedEvent'] = _ApiClient["default"].convertToType(data['RetentionCampaignUpdatedEvent'], [_RetentionCampaignUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('SmsReceivedEvent')) {
          obj['SmsReceivedEvent'] = _ApiClient["default"].convertToType(data['SmsReceivedEvent'], [_SmsReceivedEvent["default"]]);
        }
        if (data.hasOwnProperty('UserLoginEvent')) {
          obj['UserLoginEvent'] = _ApiClient["default"].convertToType(data['UserLoginEvent'], [_UserLoginEvent["default"]]);
        }
        if (data.hasOwnProperty('UserCreatedEvent')) {
          obj['UserCreatedEvent'] = _ApiClient["default"].convertToType(data['UserCreatedEvent'], [_UserCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('UserUpdatedEvent')) {
          obj['UserUpdatedEvent'] = _ApiClient["default"].convertToType(data['UserUpdatedEvent'], [_UserUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('UserDeletedEvent')) {
          obj['UserDeletedEvent'] = _ApiClient["default"].convertToType(data['UserDeletedEvent'], [_UserDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('UserCreatedPasswordEvent')) {
          obj['UserCreatedPasswordEvent'] = _ApiClient["default"].convertToType(data['UserCreatedPasswordEvent'], [_UserPasswordCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('UserAnsweredSignupQuestionsEvent')) {
          obj['UserAnsweredSignupQuestionsEvent'] = _ApiClient["default"].convertToType(data['UserAnsweredSignupQuestionsEvent'], [_UserAnsweredSignupQuestionsEvent["default"]]);
        }
        if (data.hasOwnProperty('VoucherCreatedEvent')) {
          obj['VoucherCreatedEvent'] = _ApiClient["default"].convertToType(data['VoucherCreatedEvent'], [_VoucherCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('VoucherUpdatedEvent')) {
          obj['VoucherUpdatedEvent'] = _ApiClient["default"].convertToType(data['VoucherUpdatedEvent'], [_VoucherUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('VoucherDeletedEvent')) {
          obj['VoucherDeletedEvent'] = _ApiClient["default"].convertToType(data['VoucherDeletedEvent'], [_VoucherDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('VoucherAppliedEvent')) {
          obj['VoucherAppliedEvent'] = _ApiClient["default"].convertToType(data['VoucherAppliedEvent'], [_VoucherAppliedEvent["default"]]);
        }
        if (data.hasOwnProperty('TeammateInviteSentEvent')) {
          obj['TeammateInviteSentEvent'] = _ApiClient["default"].convertToType(data['TeammateInviteSentEvent'], [_TeammateInviteSentEvent["default"]]);
        }
        if (data.hasOwnProperty('TeammateInviteAcceptedEvent')) {
          obj['TeammateInviteAcceptedEvent'] = _ApiClient["default"].convertToType(data['TeammateInviteAcceptedEvent'], [_TeammateInviteAcceptedEvent["default"]]);
        }
        if (data.hasOwnProperty('TeammateUpdatedEvent')) {
          obj['TeammateUpdatedEvent'] = _ApiClient["default"].convertToType(data['TeammateUpdatedEvent'], [_TeammateUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('TeammateDeletedEvent')) {
          obj['TeammateDeletedEvent'] = _ApiClient["default"].convertToType(data['TeammateDeletedEvent'], [_TeammateDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('BankAccountCreatedEvent')) {
          obj['BankAccountCreatedEvent'] = _ApiClient["default"].convertToType(data['BankAccountCreatedEvent'], [_BankAccountCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('BankAccountUpdatedEvent')) {
          obj['BankAccountUpdatedEvent'] = _ApiClient["default"].convertToType(data['BankAccountUpdatedEvent'], [_BankAccountUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('BankAccountDeletedEvent')) {
          obj['BankAccountDeletedEvent'] = _ApiClient["default"].convertToType(data['BankAccountDeletedEvent'], [_BankAccountDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('BankAccountAssignedEvent')) {
          obj['BankAccountAssignedEvent'] = _ApiClient["default"].convertToType(data['BankAccountAssignedEvent'], [_BankAccountAssignedEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraAssignedEvent')) {
          obj['HydraAssignedEvent'] = _ApiClient["default"].convertToType(data['HydraAssignedEvent'], [_HydraAssignedEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraRequestResetEvent')) {
          obj['HydraRequestResetEvent'] = _ApiClient["default"].convertToType(data['HydraRequestResetEvent'], [_HydraRequestResetEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraStoreAssignedEvent')) {
          obj['HydraStoreAssignedEvent'] = _ApiClient["default"].convertToType(data['HydraStoreAssignedEvent'], [_HydraStoreAssignedEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraStoreUnassignedEvent')) {
          obj['HydraStoreUnassignedEvent'] = _ApiClient["default"].convertToType(data['HydraStoreUnassignedEvent'], [_HydraStoreUnassignedEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraSettingChangedEvent')) {
          obj['HydraSettingChangedEvent'] = _ApiClient["default"].convertToType(data['HydraSettingChangedEvent'], [_HydraSettingChangedEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraUnAssignedEvent')) {
          obj['HydraUnAssignedEvent'] = _ApiClient["default"].convertToType(data['HydraUnAssignedEvent'], [_HydraUnAssignedEvent["default"]]);
        }
        if (data.hasOwnProperty('HydraConnectionStatusChangedEvent')) {
          obj['HydraConnectionStatusChangedEvent'] = _ApiClient["default"].convertToType(data['HydraConnectionStatusChangedEvent'], [_HydraConnectionStatusChangedEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothPairingModeEvent')) {
          obj['KioskBluetoothPairingModeEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothPairingModeEvent'], [_KioskBluetoothPairingModeEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothUnpairingModeEvent')) {
          obj['KioskBluetoothUnpairingModeEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothUnpairingModeEvent'], [_KioskBluetoothUnpairingModeEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothTerminalUnpairedEvent')) {
          obj['KioskBluetoothTerminalUnpairedEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothTerminalUnpairedEvent'], [_KioskBluetoothTerminalUnpairedEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskTerminalActionStateChangedEvent')) {
          obj['KioskTerminalActionStateChangedEvent'] = _ApiClient["default"].convertToType(data['KioskTerminalActionStateChangedEvent'], [_KioskTerminalActionStateChangedEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothTerminalUpdatedEvent')) {
          obj['KioskBluetoothTerminalUpdatedEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothTerminalUpdatedEvent'], [_KioskBluetoothTerminalUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothTerminalInitiateUpdateCheckEvent')) {
          obj['KioskBluetoothTerminalInitiateUpdateCheckEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothTerminalInitiateUpdateCheckEvent'], [_KioskBluetoothTerminalInitiateUpdateCheckEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothInstallUpdateInitiateEvent')) {
          obj['KioskBluetoothInstallUpdateInitiateEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothInstallUpdateInitiateEvent'], [_KioskBluetoothInstallUpdateInitiateEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothTerminalCancelUpdateEvent')) {
          obj['KioskBluetoothTerminalCancelUpdateEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothTerminalCancelUpdateEvent'], [_KioskBluetoothTerminalCancelUpdateEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothTerminalFirmwareVersionStatusEvent')) {
          obj['KioskBluetoothTerminalFirmwareVersionStatusEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothTerminalFirmwareVersionStatusEvent'], [_KioskBluetoothTerminalFirmwareVersionStatusEvent["default"]]);
        }
        if (data.hasOwnProperty('KioskBluetoothTerminalInstallationStatusEvent')) {
          obj['KioskBluetoothTerminalInstallationStatusEvent'] = _ApiClient["default"].convertToType(data['KioskBluetoothTerminalInstallationStatusEvent'], [_KioskBluetoothTerminalInstallationStatusEvent["default"]]);
        }
        if (data.hasOwnProperty('PushNotificationScheduledEvent')) {
          obj['PushNotificationScheduledEvent'] = _ApiClient["default"].convertToType(data['PushNotificationScheduledEvent'], [_PushNotificationScheduledEvent["default"]]);
        }
        if (data.hasOwnProperty('PushNotificationSentEvent')) {
          obj['PushNotificationSentEvent'] = _ApiClient["default"].convertToType(data['PushNotificationSentEvent'], [_PushNotificationSentEvent["default"]]);
        }
        if (data.hasOwnProperty('PushNotificationDeletedEvent')) {
          obj['PushNotificationDeletedEvent'] = _ApiClient["default"].convertToType(data['PushNotificationDeletedEvent'], [_PushNotificationDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('DnsVerifiedEvent')) {
          obj['DnsVerifiedEvent'] = _ApiClient["default"].convertToType(data['DnsVerifiedEvent'], [_DnsVerifiedEvent["default"]]);
        }
        if (data.hasOwnProperty('CertificateCreatedEvent')) {
          obj['CertificateCreatedEvent'] = _ApiClient["default"].convertToType(data['CertificateCreatedEvent'], [_CertificateCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CertificateRenewedEvent')) {
          obj['CertificateRenewedEvent'] = _ApiClient["default"].convertToType(data['CertificateRenewedEvent'], [_CertificateRenewedEvent["default"]]);
        }
        if (data.hasOwnProperty('WebsiteVanityUrlUpdatedEvent')) {
          obj['WebsiteVanityUrlUpdatedEvent'] = _ApiClient["default"].convertToType(data['WebsiteVanityUrlUpdatedEvent'], [_WebsiteVanityUrlUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('WebsiteUpdatedEvent')) {
          obj['WebsiteUpdatedEvent'] = _ApiClient["default"].convertToType(data['WebsiteUpdatedEvent'], [_WebsiteUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderCapacityUpdatedEvent')) {
          obj['OrderCapacityUpdatedEvent'] = _ApiClient["default"].convertToType(data['OrderCapacityUpdatedEvent'], [_OrderCapacityConfigUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('ExternalStoreEvent')) {
          obj['ExternalStoreEvent'] = _ApiClient["default"].convertToType(data['ExternalStoreEvent'], [_ExternalStoreEvent["default"]]);
        }
        if (data.hasOwnProperty('OrderFulfillmentStatusUpdatedEvent')) {
          obj['OrderFulfillmentStatusUpdatedEvent'] = _ApiClient["default"].convertToType(data['OrderFulfillmentStatusUpdatedEvent'], [_OrderFulfillmentStatusUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('AppStoreConfigCreatedEvent')) {
          obj['AppStoreConfigCreatedEvent'] = _ApiClient["default"].convertToType(data['AppStoreConfigCreatedEvent'], [_AppStoreConfigCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('AppStoreConfigUpdatedEvent')) {
          obj['AppStoreConfigUpdatedEvent'] = _ApiClient["default"].convertToType(data['AppStoreConfigUpdatedEvent'], [_AppStoreConfigUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('AppStoreConfigDeletedEvent')) {
          obj['AppStoreConfigDeletedEvent'] = _ApiClient["default"].convertToType(data['AppStoreConfigDeletedEvent'], [_AppStoreConfigDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('AppStoreSubscriptionChangeJobUpdatedEvent')) {
          obj['AppStoreSubscriptionChangeJobUpdatedEvent'] = _ApiClient["default"].convertToType(data['AppStoreSubscriptionChangeJobUpdatedEvent'], [_AppStoreSubscriptionChangeJobUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CatalogItemCreatedEvent')) {
          obj['CatalogItemCreatedEvent'] = _ApiClient["default"].convertToType(data['CatalogItemCreatedEvent'], [_CatalogItemCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CatalogItemUpdatedEvent')) {
          obj['CatalogItemUpdatedEvent'] = _ApiClient["default"].convertToType(data['CatalogItemUpdatedEvent'], [_CatalogItemUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CatalogItemArchivedEvent')) {
          obj['CatalogItemArchivedEvent'] = _ApiClient["default"].convertToType(data['CatalogItemArchivedEvent'], [_CatalogItemArchivedEvent["default"]]);
        }
        if (data.hasOwnProperty('CatalogGroupCreatedEvent')) {
          obj['CatalogGroupCreatedEvent'] = _ApiClient["default"].convertToType(data['CatalogGroupCreatedEvent'], [_CatalogGroupCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CatalogGroupUpdatedEvent')) {
          obj['CatalogGroupUpdatedEvent'] = _ApiClient["default"].convertToType(data['CatalogGroupUpdatedEvent'], [_CatalogGroupUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('CatalogGroupArchivedEvent')) {
          obj['CatalogGroupArchivedEvent'] = _ApiClient["default"].convertToType(data['CatalogGroupArchivedEvent'], [_CatalogGroupArchivedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreTipUpdatedEvent')) {
          obj['StoreTipUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreTipUpdatedEvent'], [_StoreTipUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('LocationAreaCreatedEvent')) {
          obj['LocationAreaCreatedEvent'] = _ApiClient["default"].convertToType(data['LocationAreaCreatedEvent'], [_LocationAreaCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('LocationAreaUpdatedEvent')) {
          obj['LocationAreaUpdatedEvent'] = _ApiClient["default"].convertToType(data['LocationAreaUpdatedEvent'], [_LocationAreaUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('LocationCreatedEvent')) {
          obj['LocationCreatedEvent'] = _ApiClient["default"].convertToType(data['LocationCreatedEvent'], [_LocationCreatedEvent["default"]]);
        }
        if (data.hasOwnProperty('LocationDeletedEvent')) {
          obj['LocationDeletedEvent'] = _ApiClient["default"].convertToType(data['LocationDeletedEvent'], [_LocationDeletedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreServiceChargeUpdatedEvent')) {
          obj['StoreServiceChargeUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreServiceChargeUpdatedEvent'], [_StoreServiceChargeUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MobileAppsSubmissionStatusUpdatedEvent')) {
          obj['MobileAppsSubmissionStatusUpdatedEvent'] = _ApiClient["default"].convertToType(data['MobileAppsSubmissionStatusUpdatedEvent'], [_MobileAppsSubmissionStatusUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('MobileAppsSubmissionUpdatedEvent')) {
          obj['MobileAppsSubmissionUpdatedEvent'] = _ApiClient["default"].convertToType(data['MobileAppsSubmissionUpdatedEvent'], [_MobileAppsSubmissionUpdatedEvent["default"]]);
        }
        if (data.hasOwnProperty('StoreFeeConfigUpdatedEvent')) {
          obj['StoreFeeConfigUpdatedEvent'] = _ApiClient["default"].convertToType(data['StoreFeeConfigUpdatedEvent'], [_StoreFeeConfigUpdatedEvent["default"]]);
        }
      }
      return obj;
    }
  }]);
}();
/**
 * App Created Event
 * @member {Array.<module:model/AppCreatedEvent>} AppCreatedEvent
 */
EventSearchResult.prototype['AppCreatedEvent'] = undefined;

/**
 * App Updated Event
 * @member {Array.<module:model/AppUpdatedEvent>} AppUpdatedEvent
 */
EventSearchResult.prototype['AppUpdatedEvent'] = undefined;

/**
 * Client Analytics events
 * @member {Array.<module:model/AnalyticsClientEvent>} AnalyticsClientEvent
 */
EventSearchResult.prototype['AnalyticsClientEvent'] = undefined;

/**
 * Order accepted events
 * @member {Array.<module:model/OrderAcceptedEvent>} OrderAcceptedEvent
 */
EventSearchResult.prototype['OrderAcceptedEvent'] = undefined;

/**
 * Order dispatched events
 * @member {Array.<module:model/OrderDispatchedEvent>} OrderDispatchedEvent
 */
EventSearchResult.prototype['OrderDispatchedEvent'] = undefined;

/**
 * Order delivery tracking created events
 * @member {Array.<module:model/OrderCustomerTrackingCreatedEvent>} OrderCustomerTrackingCreatedEvent
 */
EventSearchResult.prototype['OrderCustomerTrackingCreatedEvent'] = undefined;

/**
 * Order delivery tracking updated events
 * @member {Array.<module:model/OrderDeliveryTrackingStatusUpdatedEvent>} OrderDeliveryTrackingStatusUpdatedEvent
 */
EventSearchResult.prototype['OrderDeliveryTrackingStatusUpdatedEvent'] = undefined;

/**
 * Order Batch published event
 * @member {Array.<module:model/OrderBatchPublishedEvent>} OrderBatchPublishedEvent
 */
EventSearchResult.prototype['OrderBatchPublishedEvent'] = undefined;

/**
 * Order created events
 * @member {Array.<module:model/OrderCreatedEvent>} OrderCreatedEvent
 */
EventSearchResult.prototype['OrderCreatedEvent'] = undefined;

/**
 * Order rating updated events
 * @member {Array.<module:model/OrderRatingUpdatedEvent>} OrderRatingUpdatedEvent
 */
EventSearchResult.prototype['OrderRatingUpdatedEvent'] = undefined;

/**
 * Order refunded events
 * @member {Array.<module:model/OrderRefundedEvent>} OrderRefundedEvent
 */
EventSearchResult.prototype['OrderRefundedEvent'] = undefined;

/**
 * Order rejected events
 * @member {Array.<module:model/OrderRejectedEvent>} OrderRejectedEvent
 */
EventSearchResult.prototype['OrderRejectedEvent'] = undefined;

/**
 * Order tip updated events
 * @member {Array.<module:model/OrderTipUpdatedEvent>} OrderTipUpdatedEvent
 */
EventSearchResult.prototype['OrderTipUpdatedEvent'] = undefined;

/**
 * Order Terminal Notification events
 * @member {Array.<module:model/EmvNotificationEvent>} OrderTerminalNotifications
 */
EventSearchResult.prototype['OrderTerminalNotifications'] = undefined;

/**
 * Store created events
 * @member {Array.<module:model/StoreCreatedEvent>} StoreCreatedEvent
 */
EventSearchResult.prototype['StoreCreatedEvent'] = undefined;

/**
 * Store deleted events
 * @member {Array.<module:model/StoreDeletedEvent>} StoreDeletedEvent
 */
EventSearchResult.prototype['StoreDeletedEvent'] = undefined;

/**
 * Store address updated events
 * @member {Array.<module:model/StoreAddressUpdatedEvent>} StoreAddressUpdatedEvent
 */
EventSearchResult.prototype['StoreAddressUpdatedEvent'] = undefined;

/**
 * Store kiosk setting updated events
 * @member {Array.<module:model/StoreKioskSettingUpdatedEvent>} StoreKioskSettingUpdatedEvent
 */
EventSearchResult.prototype['StoreKioskSettingUpdatedEvent'] = undefined;

/**
 * Store delivery zone created events
 * @member {Array.<module:model/DeliveryZoneCreatedEvent>} DeliveryZoneCreatedEvent
 */
EventSearchResult.prototype['DeliveryZoneCreatedEvent'] = undefined;

/**
 * Store delivery zone updated events
 * @member {Array.<module:model/DeliveryZoneUpdatedEvent>} DeliveryZoneUpdatedEvent
 */
EventSearchResult.prototype['DeliveryZoneUpdatedEvent'] = undefined;

/**
 * Store delivery zone deleted events
 * @member {Array.<module:model/DeliveryZoneDeletedEvent>} DeliveryZoneDeletedEvent
 */
EventSearchResult.prototype['DeliveryZoneDeletedEvent'] = undefined;

/**
 * Store opening hours updated events
 * @member {Array.<module:model/StoreOpeningHoursUpdatedEvent>} StoreOpeningHoursUpdatedEvent
 */
EventSearchResult.prototype['StoreOpeningHoursUpdatedEvent'] = undefined;

/**
 * Store opening hours updated events
 * @member {Array.<module:model/StoreMenuAssignedEvent>} StoreMenuAssignedEvent
 */
EventSearchResult.prototype['StoreMenuAssignedEvent'] = undefined;

/**
 * Store business hours override created events
 * @member {Array.<module:model/StoreBusinessHoursOverrideCreatedEvent>} StoreBusinessHoursOverrideCreatedEvent
 */
EventSearchResult.prototype['StoreBusinessHoursOverrideCreatedEvent'] = undefined;

/**
 * Store business hours override deleted events
 * @member {Array.<module:model/StoreBusinessHoursOverrideDeletedEvent>} StoreBusinessHoursOverrideDeletedEvent
 */
EventSearchResult.prototype['StoreBusinessHoursOverrideDeletedEvent'] = undefined;

/**
 * Store archived events
 * @member {Array.<module:model/StoreArchivedEvent>} StoreArchivedEvent
 */
EventSearchResult.prototype['StoreArchivedEvent'] = undefined;

/**
 * Store unarchived events
 * @member {Array.<module:model/StoreUnarchivedEvent>} StoreUnarchivedEvent
 */
EventSearchResult.prototype['StoreUnarchivedEvent'] = undefined;

/**
 * Store published events
 * @member {Array.<module:model/StorePublishedEvent>} StorePublishedEvent
 */
EventSearchResult.prototype['StorePublishedEvent'] = undefined;

/**
 * Store unpublished events
 * @member {Array.<module:model/StoreUnpublishedEvent>} StoreUnpublishedEvent
 */
EventSearchResult.prototype['StoreUnpublishedEvent'] = undefined;

/**
 * Store updated events
 * @member {Array.<module:model/StoreUpdatedEvent>} StoreUpdatedEvent
 */
EventSearchResult.prototype['StoreUpdatedEvent'] = undefined;

/**
 * Store updated events
 * @member {Array.<module:model/StorePreOrderConfigUpdatedEvent>} StorePreOrderConfigUpdatedEvent
 */
EventSearchResult.prototype['StorePreOrderConfigUpdatedEvent'] = undefined;

/**
 * Store logo created events
 * @member {Array.<module:model/StoreLogoCreatedEvent>} StoreLogoCreatedEvent
 */
EventSearchResult.prototype['StoreLogoCreatedEvent'] = undefined;

/**
 * Store logo updated events
 * @member {Array.<module:model/StoreLogoUpdatedEvent>} StoreLogoUpdatedEvent
 */
EventSearchResult.prototype['StoreLogoUpdatedEvent'] = undefined;

/**
 * Store logo deleted events
 * @member {Array.<module:model/StoreLogoDeletedEvent>} StoreLogoDeletedEvent
 */
EventSearchResult.prototype['StoreLogoDeletedEvent'] = undefined;

/**
 * Menu created events
 * @member {Array.<module:model/MenuCreatedEvent>} MenuCreatedEvent
 */
EventSearchResult.prototype['MenuCreatedEvent'] = undefined;

/**
 * Menu async creation completed events
 * @member {Array.<module:model/MenuAsyncCreationCompletedEvent>} MenuAsyncCreationCompletedEvent
 */
EventSearchResult.prototype['MenuAsyncCreationCompletedEvent'] = undefined;

/**
 * Menu updated events
 * @member {Array.<module:model/MenuUpdatedEvent>} MenuUpdatedEvent
 */
EventSearchResult.prototype['MenuUpdatedEvent'] = undefined;

/**
 * Menu uploaded events
 * @member {Array.<module:model/MenuUploadedEvent>} MenuUploadedEvent
 */
EventSearchResult.prototype['MenuUploadedEvent'] = undefined;

/**
 * Menu bulk events
 * @member {Array.<module:model/MenuBulkEditEvent>} MenuBulkEditEvent
 */
EventSearchResult.prototype['MenuBulkEditEvent'] = undefined;

/**
 * Menu section created events
 * @member {Array.<module:model/MenuSectionCreatedEvent>} MenuSectionCreatedEvent
 */
EventSearchResult.prototype['MenuSectionCreatedEvent'] = undefined;

/**
 * Menu section updated events
 * @member {Array.<module:model/MenuSectionUpdatedEvent>} MenuSectionUpdatedEvent
 */
EventSearchResult.prototype['MenuSectionUpdatedEvent'] = undefined;

/**
 * Menu section deleted events
 * @member {Array.<module:model/MenuSectionDeletedEvent>} MenuSectionDeletedEvent
 */
EventSearchResult.prototype['MenuSectionDeletedEvent'] = undefined;

/**
 * Menu section item created events
 * @member {Array.<module:model/MenuSectionItemCreatedEvent>} MenuSectionItemCreatedEvent
 */
EventSearchResult.prototype['MenuSectionItemCreatedEvent'] = undefined;

/**
 * Menu section item updated events
 * @member {Array.<module:model/MenuSectionItemUpdatedEvent>} MenuSectionItemUpdatedEvent
 */
EventSearchResult.prototype['MenuSectionItemUpdatedEvent'] = undefined;

/**
 * Menu section item deleted events
 * @member {Array.<module:model/MenuSectionItemDeletedEvent>} MenuSectionItemDeletedEvent
 */
EventSearchResult.prototype['MenuSectionItemDeletedEvent'] = undefined;

/**
 * Menu item option set created events
 * @member {Array.<module:model/MenuItemOptionSetCreatedEvent>} MenuItemOptionSetCreatedEvent
 */
EventSearchResult.prototype['MenuItemOptionSetCreatedEvent'] = undefined;

/**
 * Menu item option set  updated events
 * @member {Array.<module:model/MenuItemOptionSetUpdatedEvent>} MenuItemOptionSetUpdatedEvent
 */
EventSearchResult.prototype['MenuItemOptionSetUpdatedEvent'] = undefined;

/**
 * Menu item option set deleted events
 * @member {Array.<module:model/MenuItemOptionSetDeletedEvent>} MenuItemOptionSetDeletedEvent
 */
EventSearchResult.prototype['MenuItemOptionSetDeletedEvent'] = undefined;

/**
 * Menu item option set item created events
 * @member {Array.<module:model/MenuItemOptionSetItemCreatedEvent>} MenuItemOptionSetItemCreatedEvent
 */
EventSearchResult.prototype['MenuItemOptionSetItemCreatedEvent'] = undefined;

/**
 * Menu item option set item updated events
 * @member {Array.<module:model/MenuItemOptionSetItemUpdatedEvent>} MenuItemOptionSetItemUpdatedEvent
 */
EventSearchResult.prototype['MenuItemOptionSetItemUpdatedEvent'] = undefined;

/**
 * Menu item option set item deleted events
 * @member {Array.<module:model/MenuItemOptionSetItemDeletedEvent>} MenuItemOptionSetItemDeletedEvent
 */
EventSearchResult.prototype['MenuItemOptionSetItemDeletedEvent'] = undefined;

/**
 * Menu checkpoint created event
 * @member {Array.<module:model/MenuCheckpointCreatedEvent>} MenuCheckpointCreatedEvent
 */
EventSearchResult.prototype['MenuCheckpointCreatedEvent'] = undefined;

/**
 * Store group created events
 * @member {Array.<module:model/StoreGroupCreatedEvent>} StoreGroupCreatedEvent
 */
EventSearchResult.prototype['StoreGroupCreatedEvent'] = undefined;

/**
 * Store group updated events
 * @member {Array.<module:model/StoreGroupUpdatedEvent>} StoreGroupUpdatedEvent
 */
EventSearchResult.prototype['StoreGroupUpdatedEvent'] = undefined;

/**
 * Store group deleted events
 * @member {Array.<module:model/StoreGroupDeletedEvent>} StoreGroupDeletedEvent
 */
EventSearchResult.prototype['StoreGroupDeletedEvent'] = undefined;

/**
 * Customer created events
 * @member {Array.<module:model/CustomerCreatedEvent>} CustomerCreatedEvent
 */
EventSearchResult.prototype['CustomerCreatedEvent'] = undefined;

/**
 * Customer updated events
 * @member {Array.<module:model/CustomerUpdatedEvent>} CustomerUpdatedEvent
 */
EventSearchResult.prototype['CustomerUpdatedEvent'] = undefined;

/**
 * Customer consent updated events
 * @member {Array.<module:model/CustomerConsentUpdatedEvent>} CustomerConsentUpdatedEvent
 */
EventSearchResult.prototype['CustomerConsentUpdatedEvent'] = undefined;

/**
 * Webhook subscription created events
 * @member {Array.<module:model/WebhookSubscriptionCreatedEvent>} WebhookSubscriptionCreatedEvent
 */
EventSearchResult.prototype['WebhookSubscriptionCreatedEvent'] = undefined;

/**
 * Webhook subscription updated events
 * @member {Array.<module:model/WebhookSubscriptionUpdatedEvent>} WebhookSubscriptionUpdatedEvent
 */
EventSearchResult.prototype['WebhookSubscriptionUpdatedEvent'] = undefined;

/**
 * Webhook subscription deleted events
 * @member {Array.<module:model/WebhookSubscriptionDeletedEvent>} WebhookSubscriptionDeletedEvent
 */
EventSearchResult.prototype['WebhookSubscriptionDeletedEvent'] = undefined;

/**
 * Printer turned ON event
 * @member {Array.<module:model/PrinterTurnedOnEvent>} PrinterTurnedOnEvent
 */
EventSearchResult.prototype['PrinterTurnedOnEvent'] = undefined;

/**
 * Printer turned OFF event
 * @member {Array.<module:model/PrinterTurnedOffEvent>} PrinterTurnedOffEvent
 */
EventSearchResult.prototype['PrinterTurnedOffEvent'] = undefined;

/**
 * Printer assigned to store event
 * @member {Array.<module:model/PrinterAssignedToStoreEvent>} PrinterAssignedToStoreEvent
 */
EventSearchResult.prototype['PrinterAssignedToStoreEvent'] = undefined;

/**
 * Printer unassigned from store event
 * @member {Array.<module:model/PrinterUnassignedFromStoreEvent>} PrinterUnassignedFromStoreEvent
 */
EventSearchResult.prototype['PrinterUnassignedFromStoreEvent'] = undefined;

/**
 * Phone call started event
 * @member {Array.<module:model/PhoneCallStartedEvent>} PhoneCallStartedEvent
 */
EventSearchResult.prototype['PhoneCallStartedEvent'] = undefined;

/**
 * Phone call ended event
 * @member {Array.<module:model/PhoneCallEndedEvent>} PhoneCallEndedEvent
 */
EventSearchResult.prototype['PhoneCallEndedEvent'] = undefined;

/**
 * Telephony config updated event
 * @member {Array.<module:model/TelephonyConfigUpdatedEvent>} TelephonyConfigUpdatedEvent
 */
EventSearchResult.prototype['TelephonyConfigUpdatedEvent'] = undefined;

/**
 * Channel stores updated event
 * @member {Array.<module:model/ChannelStoresUpdatedEvent>} ChannelStoresUpdatedEvent
 */
EventSearchResult.prototype['ChannelStoresUpdatedEvent'] = undefined;

/**
 * Loyalty campaign created event
 * @member {Array.<module:model/LoyaltyCampaignCreatedEvent>} LoyaltyCampaignCreatedEvent
 */
EventSearchResult.prototype['LoyaltyCampaignCreatedEvent'] = undefined;

/**
 * Loyalty campaign deleted event
 * @member {Array.<module:model/LoyaltyCampaignDeletedEvent>} LoyaltyCampaignDeletedEvent
 */
EventSearchResult.prototype['LoyaltyCampaignDeletedEvent'] = undefined;

/**
 * Loyalty campaign updated event
 * @member {Array.<module:model/LoyaltyCampaignUpdatedEvent>} LoyaltyCampaignUpdatedEvent
 */
EventSearchResult.prototype['LoyaltyCampaignUpdatedEvent'] = undefined;

/**
 * Retention campaign created event
 * @member {Array.<module:model/RetentionCampaignCreatedEvent>} RetentionCampaignCreatedEvent
 */
EventSearchResult.prototype['RetentionCampaignCreatedEvent'] = undefined;

/**
 * Retention campaign deleted event
 * @member {Array.<module:model/RetentionCampaignDeletedEvent>} RetentionCampaignDeletedEvent
 */
EventSearchResult.prototype['RetentionCampaignDeletedEvent'] = undefined;

/**
 * Retention campaign updated event
 * @member {Array.<module:model/RetentionCampaignUpdatedEvent>} RetentionCampaignUpdatedEvent
 */
EventSearchResult.prototype['RetentionCampaignUpdatedEvent'] = undefined;

/**
 * Sms received event
 * @member {Array.<module:model/SmsReceivedEvent>} SmsReceivedEvent
 */
EventSearchResult.prototype['SmsReceivedEvent'] = undefined;

/**
 * User login event
 * @member {Array.<module:model/UserLoginEvent>} UserLoginEvent
 */
EventSearchResult.prototype['UserLoginEvent'] = undefined;

/**
 * User created event
 * @member {Array.<module:model/UserCreatedEvent>} UserCreatedEvent
 */
EventSearchResult.prototype['UserCreatedEvent'] = undefined;

/**
 * User updated event
 * @member {Array.<module:model/UserUpdatedEvent>} UserUpdatedEvent
 */
EventSearchResult.prototype['UserUpdatedEvent'] = undefined;

/**
 * User deleted event
 * @member {Array.<module:model/UserDeletedEvent>} UserDeletedEvent
 */
EventSearchResult.prototype['UserDeletedEvent'] = undefined;

/**
 * User password created event
 * @member {Array.<module:model/UserPasswordCreatedEvent>} UserCreatedPasswordEvent
 */
EventSearchResult.prototype['UserCreatedPasswordEvent'] = undefined;

/**
 * User answered signup questions event
 * @member {Array.<module:model/UserAnsweredSignupQuestionsEvent>} UserAnsweredSignupQuestionsEvent
 */
EventSearchResult.prototype['UserAnsweredSignupQuestionsEvent'] = undefined;

/**
 * Voucher created event
 * @member {Array.<module:model/VoucherCreatedEvent>} VoucherCreatedEvent
 */
EventSearchResult.prototype['VoucherCreatedEvent'] = undefined;

/**
 * Voucher updated event
 * @member {Array.<module:model/VoucherUpdatedEvent>} VoucherUpdatedEvent
 */
EventSearchResult.prototype['VoucherUpdatedEvent'] = undefined;

/**
 * Voucher deleted event
 * @member {Array.<module:model/VoucherDeletedEvent>} VoucherDeletedEvent
 */
EventSearchResult.prototype['VoucherDeletedEvent'] = undefined;

/**
 * Voucher applied event
 * @member {Array.<module:model/VoucherAppliedEvent>} VoucherAppliedEvent
 */
EventSearchResult.prototype['VoucherAppliedEvent'] = undefined;

/**
 * Teammate invite sent event
 * @member {Array.<module:model/TeammateInviteSentEvent>} TeammateInviteSentEvent
 */
EventSearchResult.prototype['TeammateInviteSentEvent'] = undefined;

/**
 * Teammate invite accepted event
 * @member {Array.<module:model/TeammateInviteAcceptedEvent>} TeammateInviteAcceptedEvent
 */
EventSearchResult.prototype['TeammateInviteAcceptedEvent'] = undefined;

/**
 * Teammate updated event
 * @member {Array.<module:model/TeammateUpdatedEvent>} TeammateUpdatedEvent
 */
EventSearchResult.prototype['TeammateUpdatedEvent'] = undefined;

/**
 * Teammate deleted event
 * @member {Array.<module:model/TeammateDeletedEvent>} TeammateDeletedEvent
 */
EventSearchResult.prototype['TeammateDeletedEvent'] = undefined;

/**
 * Bank account created event
 * @member {Array.<module:model/BankAccountCreatedEvent>} BankAccountCreatedEvent
 */
EventSearchResult.prototype['BankAccountCreatedEvent'] = undefined;

/**
 * Bank account updated event
 * @member {Array.<module:model/BankAccountUpdatedEvent>} BankAccountUpdatedEvent
 */
EventSearchResult.prototype['BankAccountUpdatedEvent'] = undefined;

/**
 * Bank account updated event
 * @member {Array.<module:model/BankAccountDeletedEvent>} BankAccountDeletedEvent
 */
EventSearchResult.prototype['BankAccountDeletedEvent'] = undefined;

/**
 * Bank account assigned event
 * @member {Array.<module:model/BankAccountAssignedEvent>} BankAccountAssignedEvent
 */
EventSearchResult.prototype['BankAccountAssignedEvent'] = undefined;

/**
 * Hydra assigned event
 * @member {Array.<module:model/HydraAssignedEvent>} HydraAssignedEvent
 */
EventSearchResult.prototype['HydraAssignedEvent'] = undefined;

/**
 * Hydra reset requested event
 * @member {Array.<module:model/HydraRequestResetEvent>} HydraRequestResetEvent
 */
EventSearchResult.prototype['HydraRequestResetEvent'] = undefined;

/**
 * Hydra store assigned event
 * @member {Array.<module:model/HydraStoreAssignedEvent>} HydraStoreAssignedEvent
 */
EventSearchResult.prototype['HydraStoreAssignedEvent'] = undefined;

/**
 * Hydra store unassigned
 * @member {Array.<module:model/HydraStoreUnassignedEvent>} HydraStoreUnassignedEvent
 */
EventSearchResult.prototype['HydraStoreUnassignedEvent'] = undefined;

/**
 * Hydra settings changed event
 * @member {Array.<module:model/HydraSettingChangedEvent>} HydraSettingChangedEvent
 */
EventSearchResult.prototype['HydraSettingChangedEvent'] = undefined;

/**
 * Hydra un-assigned event
 * @member {Array.<module:model/HydraUnAssignedEvent>} HydraUnAssignedEvent
 */
EventSearchResult.prototype['HydraUnAssignedEvent'] = undefined;

/**
 * Hydra connection state change
 * @member {Array.<module:model/HydraConnectionStatusChangedEvent>} HydraConnectionStatusChangedEvent
 */
EventSearchResult.prototype['HydraConnectionStatusChangedEvent'] = undefined;

/**
 * Bluetooth Pairing Mode initiated
 * @member {Array.<module:model/KioskBluetoothPairingModeEvent>} KioskBluetoothPairingModeEvent
 */
EventSearchResult.prototype['KioskBluetoothPairingModeEvent'] = undefined;

/**
 * Bluetooth Unpairing Mode initiated
 * @member {Array.<module:model/KioskBluetoothUnpairingModeEvent>} KioskBluetoothUnpairingModeEvent
 */
EventSearchResult.prototype['KioskBluetoothUnpairingModeEvent'] = undefined;

/**
 * Bluetooth Terminal Unpaired with Kiosk
 * @member {Array.<module:model/KioskBluetoothTerminalUnpairedEvent>} KioskBluetoothTerminalUnpairedEvent
 */
EventSearchResult.prototype['KioskBluetoothTerminalUnpairedEvent'] = undefined;

/**
 * Terminal actionstate change
 * @member {Array.<module:model/KioskTerminalActionStateChangedEvent>} KioskTerminalActionStateChangedEvent
 */
EventSearchResult.prototype['KioskTerminalActionStateChangedEvent'] = undefined;

/**
 * Bluetooth Terminal Updated
 * @member {Array.<module:model/KioskBluetoothTerminalUpdatedEvent>} KioskBluetoothTerminalUpdatedEvent
 */
EventSearchResult.prototype['KioskBluetoothTerminalUpdatedEvent'] = undefined;

/**
 * Trigger bluetooth payment terminal update checker
 * @member {Array.<module:model/KioskBluetoothTerminalInitiateUpdateCheckEvent>} KioskBluetoothTerminalInitiateUpdateCheckEvent
 */
EventSearchResult.prototype['KioskBluetoothTerminalInitiateUpdateCheckEvent'] = undefined;

/**
 * Bluetooth Terminal Initiate Update
 * @member {Array.<module:model/KioskBluetoothInstallUpdateInitiateEvent>} KioskBluetoothInstallUpdateInitiateEvent
 */
EventSearchResult.prototype['KioskBluetoothInstallUpdateInitiateEvent'] = undefined;

/**
 * Bluetooth Terminal Cancel Update Install
 * @member {Array.<module:model/KioskBluetoothTerminalCancelUpdateEvent>} KioskBluetoothTerminalCancelUpdateEvent
 */
EventSearchResult.prototype['KioskBluetoothTerminalCancelUpdateEvent'] = undefined;

/**
 * Bluetooth Payment Terminal Firmware Version Status Info
 * @member {Array.<module:model/KioskBluetoothTerminalFirmwareVersionStatusEvent>} KioskBluetoothTerminalFirmwareVersionStatusEvent
 */
EventSearchResult.prototype['KioskBluetoothTerminalFirmwareVersionStatusEvent'] = undefined;

/**
 * Bluetooth Terminal Update Installation Status
 * @member {Array.<module:model/KioskBluetoothTerminalInstallationStatusEvent>} KioskBluetoothTerminalInstallationStatusEvent
 */
EventSearchResult.prototype['KioskBluetoothTerminalInstallationStatusEvent'] = undefined;

/**
 * Push notification scheduled event
 * @member {Array.<module:model/PushNotificationScheduledEvent>} PushNotificationScheduledEvent
 */
EventSearchResult.prototype['PushNotificationScheduledEvent'] = undefined;

/**
 * Push notification sent event
 * @member {Array.<module:model/PushNotificationSentEvent>} PushNotificationSentEvent
 */
EventSearchResult.prototype['PushNotificationSentEvent'] = undefined;

/**
 * Push notification deleted event
 * @member {Array.<module:model/PushNotificationDeletedEvent>} PushNotificationDeletedEvent
 */
EventSearchResult.prototype['PushNotificationDeletedEvent'] = undefined;

/**
 * DNS Verified
 * @member {Array.<module:model/DnsVerifiedEvent>} DnsVerifiedEvent
 */
EventSearchResult.prototype['DnsVerifiedEvent'] = undefined;

/**
 * Certificate created
 * @member {Array.<module:model/CertificateCreatedEvent>} CertificateCreatedEvent
 */
EventSearchResult.prototype['CertificateCreatedEvent'] = undefined;

/**
 * Certificate renewed
 * @member {Array.<module:model/CertificateRenewedEvent>} CertificateRenewedEvent
 */
EventSearchResult.prototype['CertificateRenewedEvent'] = undefined;

/**
 * Panacea vanity url updated
 * @member {Array.<module:model/WebsiteVanityUrlUpdatedEvent>} WebsiteVanityUrlUpdatedEvent
 */
EventSearchResult.prototype['WebsiteVanityUrlUpdatedEvent'] = undefined;

/**
 * Website updated
 * @member {Array.<module:model/WebsiteUpdatedEvent>} WebsiteUpdatedEvent
 */
EventSearchResult.prototype['WebsiteUpdatedEvent'] = undefined;

/**
 * Order capacity config updated
 * @member {Array.<module:model/OrderCapacityConfigUpdatedEvent>} OrderCapacityUpdatedEvent
 */
EventSearchResult.prototype['OrderCapacityUpdatedEvent'] = undefined;

/**
 * External event
 * @member {Array.<module:model/ExternalStoreEvent>} ExternalStoreEvent
 */
EventSearchResult.prototype['ExternalStoreEvent'] = undefined;

/**
 * Fulfillment status updated event
 * @member {Array.<module:model/OrderFulfillmentStatusUpdatedEvent>} OrderFulfillmentStatusUpdatedEvent
 */
EventSearchResult.prototype['OrderFulfillmentStatusUpdatedEvent'] = undefined;

/**
 * App Store Config Created
 * @member {Array.<module:model/AppStoreConfigCreatedEvent>} AppStoreConfigCreatedEvent
 */
EventSearchResult.prototype['AppStoreConfigCreatedEvent'] = undefined;

/**
 * App Store Config Updated
 * @member {Array.<module:model/AppStoreConfigUpdatedEvent>} AppStoreConfigUpdatedEvent
 */
EventSearchResult.prototype['AppStoreConfigUpdatedEvent'] = undefined;

/**
 * App Store Config Deleted
 * @member {Array.<module:model/AppStoreConfigDeletedEvent>} AppStoreConfigDeletedEvent
 */
EventSearchResult.prototype['AppStoreConfigDeletedEvent'] = undefined;

/**
 * App Store Subscription Change Job Updated
 * @member {Array.<module:model/AppStoreSubscriptionChangeJobUpdatedEvent>} AppStoreSubscriptionChangeJobUpdatedEvent
 */
EventSearchResult.prototype['AppStoreSubscriptionChangeJobUpdatedEvent'] = undefined;

/**
 * Catalog Item Created
 * @member {Array.<module:model/CatalogItemCreatedEvent>} CatalogItemCreatedEvent
 */
EventSearchResult.prototype['CatalogItemCreatedEvent'] = undefined;

/**
 * Catalog Item Updated
 * @member {Array.<module:model/CatalogItemUpdatedEvent>} CatalogItemUpdatedEvent
 */
EventSearchResult.prototype['CatalogItemUpdatedEvent'] = undefined;

/**
 * Catalog Item Archived
 * @member {Array.<module:model/CatalogItemArchivedEvent>} CatalogItemArchivedEvent
 */
EventSearchResult.prototype['CatalogItemArchivedEvent'] = undefined;

/**
 * Catalog Group Created
 * @member {Array.<module:model/CatalogGroupCreatedEvent>} CatalogGroupCreatedEvent
 */
EventSearchResult.prototype['CatalogGroupCreatedEvent'] = undefined;

/**
 * Catalog Group Updated
 * @member {Array.<module:model/CatalogGroupUpdatedEvent>} CatalogGroupUpdatedEvent
 */
EventSearchResult.prototype['CatalogGroupUpdatedEvent'] = undefined;

/**
 * Catalog Group Archived
 * @member {Array.<module:model/CatalogGroupArchivedEvent>} CatalogGroupArchivedEvent
 */
EventSearchResult.prototype['CatalogGroupArchivedEvent'] = undefined;

/**
 * Store Tip Updated Event
 * @member {Array.<module:model/StoreTipUpdatedEvent>} StoreTipUpdatedEvent
 */
EventSearchResult.prototype['StoreTipUpdatedEvent'] = undefined;

/**
 * LocationArea created event
 * @member {Array.<module:model/LocationAreaCreatedEvent>} LocationAreaCreatedEvent
 */
EventSearchResult.prototype['LocationAreaCreatedEvent'] = undefined;

/**
 * LocationArea updated event
 * @member {Array.<module:model/LocationAreaUpdatedEvent>} LocationAreaUpdatedEvent
 */
EventSearchResult.prototype['LocationAreaUpdatedEvent'] = undefined;

/**
 * Location created event
 * @member {Array.<module:model/LocationCreatedEvent>} LocationCreatedEvent
 */
EventSearchResult.prototype['LocationCreatedEvent'] = undefined;

/**
 * Location deleted event
 * @member {Array.<module:model/LocationDeletedEvent>} LocationDeletedEvent
 */
EventSearchResult.prototype['LocationDeletedEvent'] = undefined;

/**
 * Service Charge Updated Event
 * @member {Array.<module:model/StoreServiceChargeUpdatedEvent>} StoreServiceChargeUpdatedEvent
 */
EventSearchResult.prototype['StoreServiceChargeUpdatedEvent'] = undefined;

/**
 * Mobile Submission Status Updated Event
 * @member {Array.<module:model/MobileAppsSubmissionStatusUpdatedEvent>} MobileAppsSubmissionStatusUpdatedEvent
 */
EventSearchResult.prototype['MobileAppsSubmissionStatusUpdatedEvent'] = undefined;

/**
 * Mobile Submission Updated Event
 * @member {Array.<module:model/MobileAppsSubmissionUpdatedEvent>} MobileAppsSubmissionUpdatedEvent
 */
EventSearchResult.prototype['MobileAppsSubmissionUpdatedEvent'] = undefined;

/**
 * Store Fee Config Updated Event
 * @member {Array.<module:model/StoreFeeConfigUpdatedEvent>} StoreFeeConfigUpdatedEvent
 */
EventSearchResult.prototype['StoreFeeConfigUpdatedEvent'] = undefined;
var _default = exports["default"] = EventSearchResult;