"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _Channel = _interopRequireDefault(require("./Channel"));
var _Coordinates = _interopRequireDefault(require("./Coordinates"));
var _CustomerSummary = _interopRequireDefault(require("./CustomerSummary"));
var _DeliveryLocation = _interopRequireDefault(require("./DeliveryLocation"));
var _FeeSummary = _interopRequireDefault(require("./FeeSummary"));
var _MaskedPhoneNumber = _interopRequireDefault(require("./MaskedPhoneNumber"));
var _OrderBatchSummary = _interopRequireDefault(require("./OrderBatchSummary"));
var _OrderDropOffLocation = _interopRequireDefault(require("./OrderDropOffLocation"));
var _OrderFulfillmentStatusBase = _interopRequireDefault(require("./OrderFulfillmentStatusBase"));
var _OrderItem = _interopRequireDefault(require("./OrderItem"));
var _OrderVoucherSummary = _interopRequireDefault(require("./OrderVoucherSummary"));
var _StoreSummary = _interopRequireDefault(require("./StoreSummary"));
var _TaxItem = _interopRequireDefault(require("./TaxItem"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The Order model module.
 * @module model/Order
 * @version 1.0.0
 */
var Order = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>Order</code>.
   * Order
   * @alias module:model/Order
   */
  function Order() {
    _classCallCheck(this, Order);
    Order.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(Order, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>Order</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Order} obj Optional instance to populate.
     * @return {module:model/Order} The populated <code>Order</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new Order();
        if (data.hasOwnProperty('Store')) {
          obj['Store'] = _StoreSummary["default"].constructFromObject(data['Store']);
        }
        if (data.hasOwnProperty('Customer')) {
          obj['Customer'] = _CustomerSummary["default"].constructFromObject(data['Customer']);
        }
        if (data.hasOwnProperty('Voucher')) {
          obj['Voucher'] = _OrderVoucherSummary["default"].constructFromObject(data['Voucher']);
        }
        if (data.hasOwnProperty('Fees')) {
          obj['Fees'] = _FeeSummary["default"].constructFromObject(data['Fees']);
        }
        if (data.hasOwnProperty('OrderItems')) {
          obj['OrderItems'] = _ApiClient["default"].convertToType(data['OrderItems'], [_OrderItem["default"]]);
        }
        if (data.hasOwnProperty('DeliveryLocation')) {
          obj['DeliveryLocation'] = _DeliveryLocation["default"].constructFromObject(data['DeliveryLocation']);
        }
        if (data.hasOwnProperty('CustomerLocation')) {
          obj['CustomerLocation'] = _Coordinates["default"].constructFromObject(data['CustomerLocation']);
        }
        if (data.hasOwnProperty('MaskedPhoneNumber')) {
          obj['MaskedPhoneNumber'] = _MaskedPhoneNumber["default"].constructFromObject(data['MaskedPhoneNumber']);
        }
        if (data.hasOwnProperty('DropOffLocationId')) {
          obj['DropOffLocationId'] = _ApiClient["default"].convertToType(data['DropOffLocationId'], 'Number');
        }
        if (data.hasOwnProperty('DropOffLocation')) {
          obj['DropOffLocation'] = _ApiClient["default"].convertToType(data['DropOffLocation'], 'String');
        }
        if (data.hasOwnProperty('AcceptedFor')) {
          obj['AcceptedFor'] = _ApiClient["default"].convertToType(data['AcceptedFor'], 'Date');
        }
        if (data.hasOwnProperty('InFraudZone')) {
          obj['InFraudZone'] = _ApiClient["default"].convertToType(data['InFraudZone'], 'Boolean');
        }
        if (data.hasOwnProperty('UnusualHighValueOrder')) {
          obj['UnusualHighValueOrder'] = _ApiClient["default"].convertToType(data['UnusualHighValueOrder'], 'Boolean');
        }
        if (data.hasOwnProperty('RejectedByUserId')) {
          obj['RejectedByUserId'] = _ApiClient["default"].convertToType(data['RejectedByUserId'], 'Number');
        }
        if (data.hasOwnProperty('ChannelOrderId')) {
          obj['ChannelOrderId'] = _ApiClient["default"].convertToType(data['ChannelOrderId'], 'String');
        }
        if (data.hasOwnProperty('ChannelOrderDisplayId')) {
          obj['ChannelOrderDisplayId'] = _ApiClient["default"].convertToType(data['ChannelOrderDisplayId'], 'String');
        }
        if (data.hasOwnProperty('Channel')) {
          obj['Channel'] = _Channel["default"].constructFromObject(data['Channel']);
        }
        if (data.hasOwnProperty('OrderDropOffLocation')) {
          obj['OrderDropOffLocation'] = _OrderDropOffLocation["default"].constructFromObject(data['OrderDropOffLocation']);
        }
        if (data.hasOwnProperty('FulfillmentStatus')) {
          obj['FulfillmentStatus'] = _OrderFulfillmentStatusBase["default"].constructFromObject(data['FulfillmentStatus']);
        }
        if (data.hasOwnProperty('OrderBatchInfo')) {
          obj['OrderBatchInfo'] = _OrderBatchSummary["default"].constructFromObject(data['OrderBatchInfo']);
        }
        if (data.hasOwnProperty('TaxItems')) {
          obj['TaxItems'] = _ApiClient["default"].convertToType(data['TaxItems'], [_TaxItem["default"]]);
        }
        if (data.hasOwnProperty('CreatedCampaignVoucherId')) {
          obj['CreatedCampaignVoucherId'] = _ApiClient["default"].convertToType(data['CreatedCampaignVoucherId'], 'Number');
        }
        if (data.hasOwnProperty('OrderId')) {
          obj['OrderId'] = _ApiClient["default"].convertToType(data['OrderId'], 'Number');
        }
        if (data.hasOwnProperty('LocalOrderId')) {
          obj['LocalOrderId'] = _ApiClient["default"].convertToType(data['LocalOrderId'], 'String');
        }
        if (data.hasOwnProperty('DeliveryType')) {
          obj['DeliveryType'] = _ApiClient["default"].convertToType(data['DeliveryType'], 'String');
        }
        if (data.hasOwnProperty('PickupLocationType')) {
          obj['PickupLocationType'] = _ApiClient["default"].convertToType(data['PickupLocationType'], 'String');
        }
        if (data.hasOwnProperty('TableServiceCatagory')) {
          obj['TableServiceCatagory'] = _ApiClient["default"].convertToType(data['TableServiceCatagory'], 'String');
        }
        if (data.hasOwnProperty('TipAmount')) {
          obj['TipAmount'] = _ApiClient["default"].convertToType(data['TipAmount'], 'Number');
        }
        if (data.hasOwnProperty('DeliveryAmount')) {
          obj['DeliveryAmount'] = _ApiClient["default"].convertToType(data['DeliveryAmount'], 'Number');
        }
        if (data.hasOwnProperty('OrderItemsAmount')) {
          obj['OrderItemsAmount'] = _ApiClient["default"].convertToType(data['OrderItemsAmount'], 'Number');
        }
        if (data.hasOwnProperty('ServiceChargeAmount')) {
          obj['ServiceChargeAmount'] = _ApiClient["default"].convertToType(data['ServiceChargeAmount'], 'Number');
        }
        if (data.hasOwnProperty('ServiceChargePercentage')) {
          obj['ServiceChargePercentage'] = _ApiClient["default"].convertToType(data['ServiceChargePercentage'], 'Number');
        }
        if (data.hasOwnProperty('Amount')) {
          obj['Amount'] = _ApiClient["default"].convertToType(data['Amount'], 'Number');
        }
        if (data.hasOwnProperty('ProcessingFee')) {
          obj['ProcessingFee'] = _ApiClient["default"].convertToType(data['ProcessingFee'], 'Number');
        }
        if (data.hasOwnProperty('PaymentAccountType')) {
          obj['PaymentAccountType'] = _ApiClient["default"].convertToType(data['PaymentAccountType'], 'String');
        }
        if (data.hasOwnProperty('PaymentAccountDescription')) {
          obj['PaymentAccountDescription'] = _ApiClient["default"].convertToType(data['PaymentAccountDescription'], 'String');
        }
        if (data.hasOwnProperty('OrderState')) {
          obj['OrderState'] = _ApiClient["default"].convertToType(data['OrderState'], 'String');
        }
        if (data.hasOwnProperty('IsPreOrder')) {
          obj['IsPreOrder'] = _ApiClient["default"].convertToType(data['IsPreOrder'], 'Boolean');
        }
        if (data.hasOwnProperty('PlacedTime')) {
          obj['PlacedTime'] = _ApiClient["default"].convertToType(data['PlacedTime'], 'Date');
        }
        if (data.hasOwnProperty('RequestedForTime')) {
          obj['RequestedForTime'] = _ApiClient["default"].convertToType(data['RequestedForTime'], 'Date');
        }
        if (data.hasOwnProperty('ChefNote')) {
          obj['ChefNote'] = _ApiClient["default"].convertToType(data['ChefNote'], 'String');
        }
        if (data.hasOwnProperty('AppType')) {
          obj['AppType'] = _ApiClient["default"].convertToType(data['AppType'], 'String');
        }
        if (data.hasOwnProperty('UserRating')) {
          obj['UserRating'] = _ApiClient["default"].convertToType(data['UserRating'], 'Number');
        }
        if (data.hasOwnProperty('PaymentStatus')) {
          obj['PaymentStatus'] = _ApiClient["default"].convertToType(data['PaymentStatus'], 'String');
        }
        if (data.hasOwnProperty('RejectionReason')) {
          obj['RejectionReason'] = _ApiClient["default"].convertToType(data['RejectionReason'], 'String');
        }
        if (data.hasOwnProperty('RefundedAmount')) {
          obj['RefundedAmount'] = _ApiClient["default"].convertToType(data['RefundedAmount'], 'Number');
        }
        if (data.hasOwnProperty('DeliveryTrackingStatus')) {
          obj['DeliveryTrackingStatus'] = _ApiClient["default"].convertToType(data['DeliveryTrackingStatus'], 'String');
        }
        if (data.hasOwnProperty('DriverId')) {
          obj['DriverId'] = _ApiClient["default"].convertToType(data['DriverId'], 'Number');
        }
        if (data.hasOwnProperty('TotalTax')) {
          obj['TotalTax'] = _ApiClient["default"].convertToType(data['TotalTax'], 'Number');
        }
        if (data.hasOwnProperty('OrderTrackingCode')) {
          obj['OrderTrackingCode'] = _ApiClient["default"].convertToType(data['OrderTrackingCode'], 'String');
        }
        if (data.hasOwnProperty('DeliveryFeeAreaId')) {
          obj['DeliveryFeeAreaId'] = _ApiClient["default"].convertToType(data['DeliveryFeeAreaId'], 'Number');
        }
        if (data.hasOwnProperty('ReceiptCode')) {
          obj['ReceiptCode'] = _ApiClient["default"].convertToType(data['ReceiptCode'], 'String');
        }
        if (data.hasOwnProperty('TotalDepositReturnFeeAmount')) {
          obj['TotalDepositReturnFeeAmount'] = _ApiClient["default"].convertToType(data['TotalDepositReturnFeeAmount'], 'Number');
        }
      }
      return obj;
    }
  }]);
}();
/**
 * @member {module:model/StoreSummary} Store
 */
Order.prototype['Store'] = undefined;

/**
 * @member {module:model/CustomerSummary} Customer
 */
Order.prototype['Customer'] = undefined;

/**
 * @member {module:model/OrderVoucherSummary} Voucher
 */
Order.prototype['Voucher'] = undefined;

/**
 * @member {module:model/FeeSummary} Fees
 */
Order.prototype['Fees'] = undefined;

/**
 * Ordered items
 * @member {Array.<module:model/OrderItem>} OrderItems
 */
Order.prototype['OrderItems'] = undefined;

/**
 * @member {module:model/DeliveryLocation} DeliveryLocation
 */
Order.prototype['DeliveryLocation'] = undefined;

/**
 * @member {module:model/Coordinates} CustomerLocation
 */
Order.prototype['CustomerLocation'] = undefined;

/**
 * @member {module:model/MaskedPhoneNumber} MaskedPhoneNumber
 */
Order.prototype['MaskedPhoneNumber'] = undefined;

/**
 * Represents table service drop off location
 * @member {Number} DropOffLocationId
 */
Order.prototype['DropOffLocationId'] = undefined;

/**
 * Represents table service drop off location
 * @member {String} DropOffLocation
 */
Order.prototype['DropOffLocation'] = undefined;

/**
 * Time store has accepted the order for
 * @member {Date} AcceptedFor
 */
Order.prototype['AcceptedFor'] = undefined;

/**
 * Was order made within a fraud zone
 * @member {Boolean} InFraudZone
 */
Order.prototype['InFraudZone'] = undefined;

/**
 * Is order of unusually high value
 * @member {Boolean} UnusualHighValueOrder
 */
Order.prototype['UnusualHighValueOrder'] = undefined;

/**
 * Id of user who rejected order, if available
 * @member {Number} RejectedByUserId
 */
Order.prototype['RejectedByUserId'] = undefined;

/**
 * ChannelOrderId from external channel
 * @member {String} ChannelOrderId
 */
Order.prototype['ChannelOrderId'] = undefined;

/**
 * ChannelOrderDisplayId from external channel
 * @member {String} ChannelOrderDisplayId
 */
Order.prototype['ChannelOrderDisplayId'] = undefined;

/**
 * @member {module:model/Channel} Channel
 */
Order.prototype['Channel'] = undefined;

/**
 * @member {module:model/OrderDropOffLocation} OrderDropOffLocation
 */
Order.prototype['OrderDropOffLocation'] = undefined;

/**
 * @member {module:model/OrderFulfillmentStatusBase} FulfillmentStatus
 */
Order.prototype['FulfillmentStatus'] = undefined;

/**
 * @member {module:model/OrderBatchSummary} OrderBatchInfo
 */
Order.prototype['OrderBatchInfo'] = undefined;

/**
 * A collection of tax items on the order.
 * @member {Array.<module:model/TaxItem>} TaxItems
 */
Order.prototype['TaxItems'] = undefined;

/**
 * The id of the campaign voucher that was created from this order
 * @member {Number} CreatedCampaignVoucherId
 */
Order.prototype['CreatedCampaignVoucherId'] = undefined;

/**
 * Order identifier
 * @member {Number} OrderId
 */
Order.prototype['OrderId'] = undefined;

/**
 * Local order Id. This is used for displaying a \"shorter\" order ID for customers (eg. Kiosk orders)
 * @member {String} LocalOrderId
 */
Order.prototype['LocalOrderId'] = undefined;

/**
 * Delivery type
 * @member {module:model/Order.DeliveryTypeEnum} DeliveryType
 */
Order.prototype['DeliveryType'] = undefined;

/**
 * Pickup location type
 * @member {module:model/Order.PickupLocationTypeEnum} PickupLocationType
 */
Order.prototype['PickupLocationType'] = undefined;

/**
 * Pickup location type
 * @member {module:model/Order.TableServiceCatagoryEnum} TableServiceCatagory
 */
Order.prototype['TableServiceCatagory'] = undefined;

/**
 * Tip amount
 * @member {Number} TipAmount
 */
Order.prototype['TipAmount'] = undefined;

/**
 * Delivery amount
 * @member {Number} DeliveryAmount
 */
Order.prototype['DeliveryAmount'] = undefined;

/**
 * Ordered items amount
 * @member {Number} OrderItemsAmount
 */
Order.prototype['OrderItemsAmount'] = undefined;

/**
 * Service Charge Amount
 * @member {Number} ServiceChargeAmount
 */
Order.prototype['ServiceChargeAmount'] = undefined;

/**
 * Service Charge Percentage
 * @member {Number} ServiceChargePercentage
 */
Order.prototype['ServiceChargePercentage'] = undefined;

/**
 * This is the sum of the OrderItemsAmount, DeliveryAmount, TipAmount and Voucher.Amount (which is usually negative) and OnlineOrderingFee for cash orders.  It does not include the OnlineOrderingFee in the case of card orders as this fee is charged by Flipdish directly to the customer.
 * @member {Number} Amount
 */
Order.prototype['Amount'] = undefined;

/**
 * This contains the online ordering processing fee. For card payments this is charged directly to the customer and for cash orders it is paid by the customer to the store. It is tax inclusive.
 * @member {Number} ProcessingFee
 */
Order.prototype['ProcessingFee'] = undefined;

/**
 * Payment account type
 * @member {module:model/Order.PaymentAccountTypeEnum} PaymentAccountType
 */
Order.prototype['PaymentAccountType'] = undefined;

/**
 * Payment account description (like Visa ****2371 or Apple Pay. or Cash)
 * @member {String} PaymentAccountDescription
 */
Order.prototype['PaymentAccountDescription'] = undefined;

/**
 * Order state
 * @member {module:model/Order.OrderStateEnum} OrderState
 */
Order.prototype['OrderState'] = undefined;

/**
 * Is pre-order
 * @member {Boolean} IsPreOrder
 */
Order.prototype['IsPreOrder'] = undefined;

/**
 * Order placed time
 * @member {Date} PlacedTime
 */
Order.prototype['PlacedTime'] = undefined;

/**
 * Order requested for
 * @member {Date} RequestedForTime
 */
Order.prototype['RequestedForTime'] = undefined;

/**
 * Chef note
 * @member {String} ChefNote
 */
Order.prototype['ChefNote'] = undefined;

/**
 * Used app type
 * @member {module:model/Order.AppTypeEnum} AppType
 */
Order.prototype['AppType'] = undefined;

/**
 * User rating
 * @member {Number} UserRating
 */
Order.prototype['UserRating'] = undefined;

/**
 * Status of the payment
 * @member {module:model/Order.PaymentStatusEnum} PaymentStatus
 */
Order.prototype['PaymentStatus'] = undefined;

/**
 * Rejection reason. Can have value if the order is rejected.
 * @member {module:model/Order.RejectionReasonEnum} RejectionReason
 */
Order.prototype['RejectionReason'] = undefined;

/**
 * Amount refunded to customer.
 * @member {Number} RefundedAmount
 */
Order.prototype['RefundedAmount'] = undefined;

/**
 * Delivery tracking status
 * @member {module:model/Order.DeliveryTrackingStatusEnum} DeliveryTrackingStatus
 */
Order.prototype['DeliveryTrackingStatus'] = undefined;

/**
 * Assigned driver identifier
 * @member {Number} DriverId
 */
Order.prototype['DriverId'] = undefined;

/**
 * Total tax applied to order
 * @member {Number} TotalTax
 */
Order.prototype['TotalTax'] = undefined;

/**
 * Unique, 6 character long alpha numeric code for tracking.
 * @member {String} OrderTrackingCode
 */
Order.prototype['OrderTrackingCode'] = undefined;

/**
 * Delivery area identifier
 * @member {Number} DeliveryFeeAreaId
 */
Order.prototype['DeliveryFeeAreaId'] = undefined;

/**
 * Code used to view the order's receipt
 * @member {String} ReceiptCode
 */
Order.prototype['ReceiptCode'] = undefined;

/**
 * This contains the total deposit return fee amount for the order.
 * @member {Number} TotalDepositReturnFeeAmount
 */
Order.prototype['TotalDepositReturnFeeAmount'] = undefined;

/**
 * Allowed values for the <code>DeliveryType</code> property.
 * @enum {String}
 * @readonly
 */
Order['DeliveryTypeEnum'] = {
  /**
   * value: "Delivery"
   * @const
   */
  "Delivery": "Delivery",
  /**
   * value: "Pickup"
   * @const
   */
  "Pickup": "Pickup"
};

/**
 * Allowed values for the <code>PickupLocationType</code> property.
 * @enum {String}
 * @readonly
 */
Order['PickupLocationTypeEnum'] = {
  /**
   * value: "TakeOut"
   * @const
   */
  "TakeOut": "TakeOut",
  /**
   * value: "TableService"
   * @const
   */
  "TableService": "TableService",
  /**
   * value: "DineIn"
   * @const
   */
  "DineIn": "DineIn"
};

/**
 * Allowed values for the <code>TableServiceCatagory</code> property.
 * @enum {String}
 * @readonly
 */
Order['TableServiceCatagoryEnum'] = {
  /**
   * value: "Generic"
   * @const
   */
  "Generic": "Generic",
  /**
   * value: "Villa"
   * @const
   */
  "Villa": "Villa",
  /**
   * value: "House"
   * @const
   */
  "House": "House",
  /**
   * value: "Room"
   * @const
   */
  "Room": "Room",
  /**
   * value: "Area"
   * @const
   */
  "Area": "Area",
  /**
   * value: "Table"
   * @const
   */
  "Table": "Table",
  /**
   * value: "ParkingBay"
   * @const
   */
  "ParkingBay": "ParkingBay",
  /**
   * value: "Gate"
   * @const
   */
  "Gate": "Gate",
  /**
   * value: "DriveThrough"
   * @const
   */
  "DriveThrough": "DriveThrough",
  /**
   * value: "Team"
   * @const
   */
  "Team": "Team"
};

/**
 * Allowed values for the <code>PaymentAccountType</code> property.
 * @enum {String}
 * @readonly
 */
Order['PaymentAccountTypeEnum'] = {
  /**
   * value: "Card"
   * @const
   */
  "Card": "Card",
  /**
   * value: "Cash"
   * @const
   */
  "Cash": "Cash",
  /**
   * value: "Ideal"
   * @const
   */
  "Ideal": "Ideal",
  /**
   * value: "Bancontact"
   * @const
   */
  "Bancontact": "Bancontact",
  /**
   * value: "Giropay"
   * @const
   */
  "Giropay": "Giropay",
  /**
   * value: "Eps"
   * @const
   */
  "Eps": "Eps",
  /**
   * value: "Emv"
   * @const
   */
  "Emv": "Emv",
  /**
   * value: "PayPal"
   * @const
   */
  "PayPal": "PayPal",
  /**
   * value: "PayGreen"
   * @const
   */
  "PayGreen": "PayGreen",
  /**
   * value: "GoogleWalletToken"
   * @const
   */
  "GoogleWalletToken": "GoogleWalletToken"
};

/**
 * Allowed values for the <code>OrderState</code> property.
 * @enum {String}
 * @readonly
 */
Order['OrderStateEnum'] = {
  /**
   * value: "Created"
   * @const
   */
  "Created": "Created",
  /**
   * value: "PlacedCanBeCancelled"
   * @const
   */
  "PlacedCanBeCancelled": "PlacedCanBeCancelled",
  /**
   * value: "ReadyToProcess"
   * @const
   */
  "ReadyToProcess": "ReadyToProcess",
  /**
   * value: "AcceptedByRestaurant"
   * @const
   */
  "AcceptedByRestaurant": "AcceptedByRestaurant",
  /**
   * value: "Dispatched"
   * @const
   */
  "Dispatched": "Dispatched",
  /**
   * value: "Delivered"
   * @const
   */
  "Delivered": "Delivered",
  /**
   * value: "Cancelled"
   * @const
   */
  "Cancelled": "Cancelled",
  /**
   * value: "ManualReview"
   * @const
   */
  "ManualReview": "ManualReview",
  /**
   * value: "RejectedByStore"
   * @const
   */
  "RejectedByStore": "RejectedByStore",
  /**
   * value: "RejectedByFlipdish"
   * @const
   */
  "RejectedByFlipdish": "RejectedByFlipdish",
  /**
   * value: "RejectedAutomatically"
   * @const
   */
  "RejectedAutomatically": "RejectedAutomatically",
  /**
   * value: "RejectedAfterBeingAccepted"
   * @const
   */
  "RejectedAfterBeingAccepted": "RejectedAfterBeingAccepted",
  /**
   * value: "AcceptedAndRefunded"
   * @const
   */
  "AcceptedAndRefunded": "AcceptedAndRefunded"
};

/**
 * Allowed values for the <code>AppType</code> property.
 * @enum {String}
 * @readonly
 */
Order['AppTypeEnum'] = {
  /**
   * value: "Unknown"
   * @const
   */
  "Unknown": "Unknown",
  /**
   * value: "Ios"
   * @const
   */
  "Ios": "Ios",
  /**
   * value: "Android"
   * @const
   */
  "Android": "Android",
  /**
   * value: "Web"
   * @const
   */
  "Web": "Web",
  /**
   * value: "Kiosk"
   * @const
   */
  "Kiosk": "Kiosk",
  /**
   * value: "Pos"
   * @const
   */
  "Pos": "Pos",
  /**
   * value: "TelephoneCall"
   * @const
   */
  "TelephoneCall": "TelephoneCall",
  /**
   * value: "Sms"
   * @const
   */
  "Sms": "Sms",
  /**
   * value: "PwaAndroid"
   * @const
   */
  "PwaAndroid": "PwaAndroid",
  /**
   * value: "PwaIos"
   * @const
   */
  "PwaIos": "PwaIos",
  /**
   * value: "Google"
   * @const
   */
  "Google": "Google"
};

/**
 * Allowed values for the <code>PaymentStatus</code> property.
 * @enum {String}
 * @readonly
 */
Order['PaymentStatusEnum'] = {
  /**
   * value: "Paid"
   * @const
   */
  "Paid": "Paid",
  /**
   * value: "Unpaid"
   * @const
   */
  "Unpaid": "Unpaid",
  /**
   * value: "Refunded"
   * @const
   */
  "Refunded": "Refunded",
  /**
   * value: "PartiallyRefunded"
   * @const
   */
  "PartiallyRefunded": "PartiallyRefunded",
  /**
   * value: "Disputed"
   * @const
   */
  "Disputed": "Disputed"
};

/**
 * Allowed values for the <code>RejectionReason</code> property.
 * @enum {String}
 * @readonly
 */
Order['RejectionReasonEnum'] = {
  /**
   * value: "TooBusy"
   * @const
   */
  "TooBusy": "TooBusy",
  /**
   * value: "FoodUnavailable"
   * @const
   */
  "FoodUnavailable": "FoodUnavailable",
  /**
   * value: "UnableToDeliver"
   * @const
   */
  "UnableToDeliver": "UnableToDeliver",
  /**
   * value: "UnknownAddress"
   * @const
   */
  "UnknownAddress": "UnknownAddress",
  /**
   * value: "UnknownReason"
   * @const
   */
  "UnknownReason": "UnknownReason",
  /**
   * value: "TooSoon"
   * @const
   */
  "TooSoon": "TooSoon",
  /**
   * value: "TimeUnavailable"
   * @const
   */
  "TimeUnavailable": "TimeUnavailable",
  /**
   * value: "DontDeliverToArea"
   * @const
   */
  "DontDeliverToArea": "DontDeliverToArea",
  /**
   * value: "StoreUncontactable"
   * @const
   */
  "StoreUncontactable": "StoreUncontactable"
};

/**
 * Allowed values for the <code>DeliveryTrackingStatus</code> property.
 * @enum {String}
 * @readonly
 */
Order['DeliveryTrackingStatusEnum'] = {
  /**
   * value: "Unassigned"
   * @const
   */
  "Unassigned": "Unassigned",
  /**
   * value: "Unaccepted"
   * @const
   */
  "Unaccepted": "Unaccepted",
  /**
   * value: "Accepted"
   * @const
   */
  "Accepted": "Accepted",
  /**
   * value: "Carrying"
   * @const
   */
  "Carrying": "Carrying",
  /**
   * value: "OnTheWay"
   * @const
   */
  "OnTheWay": "OnTheWay",
  /**
   * value: "ArrivedAtLocation"
   * @const
   */
  "ArrivedAtLocation": "ArrivedAtLocation",
  /**
   * value: "Delivered"
   * @const
   */
  "Delivered": "Delivered",
  /**
   * value: "CannotDeliver"
   * @const
   */
  "CannotDeliver": "CannotDeliver"
};
var _default = exports["default"] = Order;