"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _ApiClient = _interopRequireDefault(require("../ApiClient"));
var _PayoutReport3DetailsAdjustments = _interopRequireDefault(require("./PayoutReport3DetailsAdjustments"));
var _PayoutReport3DetailsFlipdishFees = _interopRequireDefault(require("./PayoutReport3DetailsFlipdishFees"));
var _PayoutReport3DetailsRevenue = _interopRequireDefault(require("./PayoutReport3DetailsRevenue"));
var _PayoutReport3DetailsSummary = _interopRequireDefault(require("./PayoutReport3DetailsSummary"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(a, n) { if (!(a instanceof n)) throw new TypeError("Cannot call a class as a function"); }
function _defineProperties(e, r) { for (var t = 0; t < r.length; t++) { var o = r[t]; o.enumerable = o.enumerable || !1, o.configurable = !0, "value" in o && (o.writable = !0), Object.defineProperty(e, _toPropertyKey(o.key), o); } }
function _createClass(e, r, t) { return r && _defineProperties(e.prototype, r), t && _defineProperties(e, t), Object.defineProperty(e, "prototype", { writable: !1 }), e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); } /**
 * Flipdish Open API v1.0
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */
/**
 * The PayoutReport3Details model module.
 * @module model/PayoutReport3Details
 * @version 1.0.0
 */
var PayoutReport3Details = /*#__PURE__*/function () {
  /**
   * Constructs a new <code>PayoutReport3Details</code>.
   * @alias module:model/PayoutReport3Details
   */
  function PayoutReport3Details() {
    _classCallCheck(this, PayoutReport3Details);
    PayoutReport3Details.initialize(this);
  }

  /**
   * Initializes the fields of this object.
   * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
   * Only for internal use.
   */
  return _createClass(PayoutReport3Details, null, [{
    key: "initialize",
    value: function initialize(obj) {}

    /**
     * Constructs a <code>PayoutReport3Details</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/PayoutReport3Details} obj Optional instance to populate.
     * @return {module:model/PayoutReport3Details} The populated <code>PayoutReport3Details</code> instance.
     */
  }, {
    key: "constructFromObject",
    value: function constructFromObject(data, obj) {
      if (data) {
        obj = obj || new PayoutReport3Details();
        if (data.hasOwnProperty('Amount')) {
          obj['Amount'] = _ApiClient["default"].convertToType(data['Amount'], 'Number');
        }
        if (data.hasOwnProperty('Currency')) {
          obj['Currency'] = _ApiClient["default"].convertToType(data['Currency'], 'String');
        }
        if (data.hasOwnProperty('Summary')) {
          obj['Summary'] = _PayoutReport3DetailsSummary["default"].constructFromObject(data['Summary']);
        }
        if (data.hasOwnProperty('Revenue')) {
          obj['Revenue'] = _PayoutReport3DetailsRevenue["default"].constructFromObject(data['Revenue']);
        }
        if (data.hasOwnProperty('FlipdishFees')) {
          obj['FlipdishFees'] = _PayoutReport3DetailsFlipdishFees["default"].constructFromObject(data['FlipdishFees']);
        }
        if (data.hasOwnProperty('Adjustments')) {
          obj['Adjustments'] = _PayoutReport3DetailsAdjustments["default"].constructFromObject(data['Adjustments']);
        }
      }
      return obj;
    }
  }]);
}();
/**
 * @member {Number} Amount
 */
PayoutReport3Details.prototype['Amount'] = undefined;

/**
 * @member {String} Currency
 */
PayoutReport3Details.prototype['Currency'] = undefined;

/**
 * @member {module:model/PayoutReport3DetailsSummary} Summary
 */
PayoutReport3Details.prototype['Summary'] = undefined;

/**
 * @member {module:model/PayoutReport3DetailsRevenue} Revenue
 */
PayoutReport3Details.prototype['Revenue'] = undefined;

/**
 * @member {module:model/PayoutReport3DetailsFlipdishFees} FlipdishFees
 */
PayoutReport3Details.prototype['FlipdishFees'] = undefined;

/**
 * @member {module:model/PayoutReport3DetailsAdjustments} Adjustments
 */
PayoutReport3Details.prototype['Adjustments'] = undefined;
var _default = exports["default"] = PayoutReport3Details;